For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Calls

Get Call

GET
https://api.vapi.ai/call/:id
GET
/call/:id
$curl https://api.vapi.ai/call/id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "string",
3 "orgId": "string",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "updatedAt": "2024-01-15T09:30:00Z",
6 "type": "inboundPhoneCall",
7 "costs": [
8 {
9 "type": "transport",
10 "provider": "daily",
11 "minutes": 1.1,
12 "cost": 1.1
13 }
14 ],
15 "messages": [
16 {
17 "role": "string",
18 "message": "string",
19 "time": 1.1,
20 "endTime": 1.1,
21 "secondsFromStart": 1.1,
22 "duration": 1.1,
23 "isFiltered": true,
24 "detectedThreats": [
25 "string"
26 ],
27 "originalMessage": "string",
28 "metadata": {},
29 "speakerLabel": "string"
30 }
31 ],
32 "phoneCallTransport": "sip",
33 "status": "scheduled",
34 "endedReason": "call-start-error-neither-assistant-nor-server-set",
35 "endedMessage": "string",
36 "destination": {
37 "message": "string",
38 "type": "number",
39 "numberE164CheckEnabled": true,
40 "number": "string",
41 "extension": "string",
42 "callerId": "string",
43 "transferPlan": {
44 "mode": "blind-transfer",
45 "message": "string",
46 "timeout": 60,
47 "sipVerb": "refer",
48 "dialTimeout": 60,
49 "holdAudioUrl": "string",
50 "transferCompleteAudioUrl": "string",
51 "contextEngineeringPlan": {
52 "type": "lastNMessages",
53 "maxMessages": 1.1
54 },
55 "twiml": "string",
56 "summaryPlan": {
57 "messages": [
58 {}
59 ],
60 "enabled": true,
61 "timeoutSeconds": 1.1
62 },
63 "sipHeadersInReferToEnabled": true,
64 "fallbackPlan": {
65 "message": "string",
66 "endCallEnabled": true
67 }
68 },
69 "description": "string"
70 },
71 "startedAt": "2024-01-15T09:30:00Z",
72 "endedAt": "2024-01-15T09:30:00Z",
73 "cost": 1.1,
74 "costBreakdown": {
75 "transport": 1.1,
76 "stt": 1.1,
77 "llm": 1.1,
78 "tts": 1.1,
79 "vapi": 1.1,
80 "chat": 1.1,
81 "total": 1.1,
82 "llmPromptTokens": 1.1,
83 "llmCompletionTokens": 1.1,
84 "llmCachedPromptTokens": 1.1,
85 "ttsCharacters": 1.1,
86 "analysisCostBreakdown": {
87 "summary": 1.1,
88 "summaryPromptTokens": 1.1,
89 "summaryCompletionTokens": 1.1,
90 "summaryCachedPromptTokens": 1.1,
91 "structuredData": 1.1,
92 "structuredDataPromptTokens": 1.1,
93 "structuredDataCompletionTokens": 1.1,
94 "structuredDataCachedPromptTokens": 1.1,
95 "successEvaluation": 1.1,
96 "successEvaluationPromptTokens": 1.1,
97 "successEvaluationCompletionTokens": 1.1,
98 "successEvaluationCachedPromptTokens": 1.1,
99 "structuredOutput": 1.1,
100 "structuredOutputPromptTokens": 1.1,
101 "structuredOutputCompletionTokens": 1.1,
102 "structuredOutputCachedPromptTokens": 1.1
103 }
104 },
105 "artifactPlan": {
106 "recordingEnabled": true,
107 "recordingFormat": "wav;l16",
108 "recordingUseCustomStorageEnabled": true,
109 "videoRecordingEnabled": false,
110 "fullMessageHistoryEnabled": false,
111 "pcapEnabled": true,
112 "pcapS3PathPrefix": "/pcaps",
113 "pcapUseCustomStorageEnabled": true,
114 "loggingEnabled": true,
115 "loggingUseCustomStorageEnabled": true,
116 "transcriptPlan": {
117 "enabled": true,
118 "assistantName": "string",
119 "userName": "string"
120 },
121 "recordingPath": "string",
122 "structuredOutputIds": [
123 "string"
124 ],
125 "structuredOutputs": [
126 {
127 "name": "string",
128 "schema": {
129 "type": "string",
130 "items": {},
131 "properties": {},
132 "description": "string",
133 "pattern": "string",
134 "format": "date-time",
135 "required": [
136 "string"
137 ],
138 "enum": [
139 "string"
140 ],
141 "title": "string"
142 },
143 "type": "ai",
144 "regex": "string",
145 "model": {
146 "provider": "openai",
147 "model": "gpt-5.4",
148 "temperature": 1.1,
149 "maxTokens": 5030
150 },
151 "compliancePlan": {
152 "forceStoreOnHipaaEnabled": false
153 },
154 "description": "string",
155 "assistantIds": [
156 "string"
157 ],
158 "workflowIds": [
159 "string"
160 ]
161 }
162 ],
163 "scorecardIds": [
164 "string"
165 ],
166 "scorecards": [
167 {
168 "metrics": [
169 {
170 "structuredOutputId": "string",
171 "conditions": [
172 {}
173 ]
174 }
175 ],
176 "name": "string",
177 "description": "string",
178 "assistantIds": [
179 "string"
180 ]
181 }
182 ],
183 "loggingPath": "string"
184 },
185 "analysis": {
186 "summary": "string",
187 "structuredData": {},
188 "structuredDataMulti": [
189 {}
190 ],
191 "successEvaluation": "string"
192 },
193 "monitor": {
194 "monitors": [
195 {
196 "monitorId": "string",
197 "filterPassed": true
198 }
199 ],
200 "listenUrl": "string",
201 "controlUrl": "string"
202 },
203 "artifact": {
204 "messages": [
205 {
206 "role": "string",
207 "message": "string",
208 "time": 1.1,
209 "endTime": 1.1,
210 "secondsFromStart": 1.1,
211 "duration": 1.1,
212 "isFiltered": true,
213 "detectedThreats": [
214 "string"
215 ],
216 "originalMessage": "string",
217 "metadata": {},
218 "speakerLabel": "string"
219 }
220 ],
221 "messagesOpenAIFormatted": [
222 {
223 "content": "string",
224 "role": "assistant"
225 }
226 ],
227 "recording": {
228 "stereoUrl": "string",
229 "videoUrl": "string",
230 "videoRecordingStartDelaySeconds": 1.1,
231 "mono": {
232 "combinedUrl": "string",
233 "assistantUrl": "string",
234 "customerUrl": "string"
235 }
236 },
237 "transcript": "string",
238 "pcapUrl": "string",
239 "logUrl": "string",
240 "nodes": [
241 {
242 "messages": [
243 {
244 "role": "string",
245 "message": "string",
246 "time": 1.1,
247 "endTime": 1.1,
248 "secondsFromStart": 1.1,
249 "duration": 1.1,
250 "isFiltered": true,
251 "detectedThreats": [
252 "string"
253 ],
254 "originalMessage": "string",
255 "metadata": {},
256 "speakerLabel": "string"
257 }
258 ],
259 "nodeName": "string",
260 "variableValues": {}
261 }
262 ],
263 "assistantActivations": [
264 {
265 "assistantName": "string",
266 "assistantId": "string"
267 }
268 ],
269 "variableValues": {},
270 "performanceMetrics": {
271 "turnLatencies": [
272 {
273 "modelLatency": 1.1,
274 "voiceLatency": 1.1,
275 "transcriberLatency": 1.1,
276 "endpointingLatency": 1.1,
277 "turnLatency": 1.1
278 }
279 ],
280 "modelLatencyAverage": 1.1,
281 "voiceLatencyAverage": 1.1,
282 "transcriberLatencyAverage": 1.1,
283 "endpointingLatencyAverage": 1.1,
284 "turnLatencyAverage": 1.1,
285 "fromTransportLatencyAverage": 1.1,
286 "toTransportLatencyAverage": 1.1,
287 "numUserInterrupted": 1.1,
288 "numAssistantInterrupted": 1.1
289 },
290 "structuredOutputs": {},
291 "scorecards": {},
292 "transfers": [
293 "string"
294 ],
295 "structuredOutputsLastUpdatedAt": "2024-01-15T09:30:00Z",
296 "recordingUrl": "string",
297 "stereoRecordingUrl": "string",
298 "videoRecordingUrl": "string",
299 "videoRecordingStartDelaySeconds": 1.1
300 },
301 "compliance": {
302 "recordingConsent": {
303 "type": {},
304 "grantedAt": "2024-01-15T09:30:00Z"
305 }
306 },
307 "campaignId": "string",
308 "assistantId": "string",
309 "assistant": {
310 "transcriber": {
311 "provider": "assembly-ai",
312 "language": "multi",
313 "confidenceThreshold": 0.4,
314 "formatTurns": true,
315 "endOfTurnConfidenceThreshold": 0.7,
316 "minEndOfTurnSilenceWhenConfident": 160,
317 "wordFinalizationMaxWaitTime": 160,
318 "maxTurnSilence": 400,
319 "vadAssistedEndpointingEnabled": true,
320 "speechModel": "universal-streaming-english",
321 "realtimeUrl": "string",
322 "wordBoost": [
323 "string"
324 ],
325 "keytermsPrompt": [
326 "string"
327 ],
328 "endUtteranceSilenceThreshold": 1.1,
329 "disablePartialTranscripts": true,
330 "fallbackPlan": {
331 "transcribers": [
332 {
333 "provider": "assembly-ai",
334 "language": "multi",
335 "confidenceThreshold": 0.4,
336 "formatTurns": true,
337 "endOfTurnConfidenceThreshold": 0.7,
338 "minEndOfTurnSilenceWhenConfident": 160,
339 "wordFinalizationMaxWaitTime": 160,
340 "maxTurnSilence": 400,
341 "vadAssistedEndpointingEnabled": true,
342 "speechModel": "universal-streaming-english",
343 "realtimeUrl": "string",
344 "wordBoost": [
345 "string"
346 ],
347 "keytermsPrompt": [
348 "string"
349 ],
350 "endUtteranceSilenceThreshold": 1.1,
351 "disablePartialTranscripts": true
352 }
353 ]
354 }
355 },
356 "model": {
357 "messages": [
358 {
359 "content": "string",
360 "role": "assistant"
361 }
362 ],
363 "tools": [
364 {
365 "messages": [
366 {
367 "contents": [
368 {
369 "type": "text",
370 "text": "string",
371 "language": "aa"
372 }
373 ],
374 "type": "request-start",
375 "blocking": false,
376 "content": "string",
377 "conditions": [
378 {
379 "operator": "eq",
380 "param": "string",
381 "value": "string"
382 }
383 ]
384 }
385 ],
386 "type": "apiRequest",
387 "method": "POST",
388 "timeoutSeconds": 20,
389 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
390 "encryptedPaths": [
391 "string"
392 ],
393 "parameters": [
394 {
395 "key": "string",
396 "value": {}
397 }
398 ],
399 "name": "string",
400 "description": "string",
401 "url": "string",
402 "body": {
403 "type": "string",
404 "items": {},
405 "properties": {},
406 "description": "string",
407 "pattern": "string",
408 "format": "date-time",
409 "required": [
410 "string"
411 ],
412 "enum": [
413 "string"
414 ],
415 "title": "string"
416 },
417 "headers": {
418 "type": "string",
419 "items": {},
420 "properties": {},
421 "description": "string",
422 "pattern": "string",
423 "format": "date-time",
424 "required": [
425 "string"
426 ],
427 "enum": [
428 "string"
429 ],
430 "title": "string"
431 },
432 "backoffPlan": {
433 "type": "fixed",
434 "maxRetries": 0,
435 "baseDelaySeconds": 1,
436 "excludedStatusCodes": [
437 400,
438 401,
439 403,
440 404
441 ]
442 },
443 "variableExtractionPlan": {
444 "schema": {
445 "type": "string",
446 "items": {},
447 "properties": {},
448 "description": "string",
449 "pattern": "string",
450 "format": "date-time",
451 "required": [
452 "string"
453 ],
454 "enum": [
455 "string"
456 ],
457 "title": "string"
458 },
459 "aliases": [
460 {
461 "key": "string",
462 "value": "string"
463 }
464 ]
465 },
466 "rejectionPlan": {
467 "conditions": [
468 {
469 "type": "regex",
470 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
471 }
472 ]
473 }
474 }
475 ],
476 "toolIds": [
477 "string"
478 ],
479 "knowledgeBase": {
480 "provider": "custom-knowledge-base",
481 "server": {
482 "timeoutSeconds": 20,
483 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
484 "staticIpAddressesEnabled": false,
485 "encryptedPaths": [
486 "string"
487 ],
488 "url": "string",
489 "headers": {},
490 "backoffPlan": {
491 "type": "fixed",
492 "maxRetries": 0,
493 "baseDelaySeconds": 1,
494 "excludedStatusCodes": [
495 400,
496 401,
497 403,
498 404
499 ]
500 }
501 }
502 },
503 "model": "claude-3-opus-20240229",
504 "provider": "anthropic",
505 "thinking": {
506 "type": "enabled",
507 "budgetTokens": 50500
508 },
509 "temperature": 1.1,
510 "maxTokens": 5030,
511 "emotionRecognitionEnabled": true,
512 "numFastTurns": 1.1
513 },
514 "voice": {
515 "cachingEnabled": true,
516 "provider": "azure",
517 "voiceId": "andrew",
518 "chunkPlan": {
519 "enabled": true,
520 "minCharacters": 30,
521 "punctuationBoundaries": "。",
522 "formatPlan": {
523 "enabled": true,
524 "numberToDigitsCutoff": 2025,
525 "replacements": [
526 {
527 "type": "exact",
528 "replaceAllEnabled": false,
529 "key": "string",
530 "value": "string"
531 }
532 ],
533 "formattersEnabled": "markdown"
534 }
535 },
536 "speed": 1.1,
537 "fallbackPlan": {
538 "voices": [
539 {
540 "cachingEnabled": true,
541 "provider": "azure",
542 "voiceId": "andrew",
543 "speed": 1.1,
544 "chunkPlan": {
545 "enabled": true,
546 "minCharacters": 30,
547 "punctuationBoundaries": "。",
548 "formatPlan": {
549 "enabled": true,
550 "numberToDigitsCutoff": 2025,
551 "replacements": {},
552 "formattersEnabled": {}
553 }
554 },
555 "oneOf": null
556 }
557 ]
558 }
559 },
560 "firstMessage": "Hello! How can I help you today?",
561 "firstMessageInterruptionsEnabled": false,
562 "firstMessageMode": "assistant-speaks-first",
563 "voicemailDetection": "off",
564 "clientMessages": "conversation-update",
565 "serverMessages": "assistant.started",
566 "maxDurationSeconds": 600,
567 "backgroundSound": "off",
568 "modelOutputInMessagesEnabled": false,
569 "transportConfigurations": [
570 {
571 "provider": "twilio",
572 "timeout": 60,
573 "record": false,
574 "recordingChannels": "mono"
575 }
576 ],
577 "observabilityPlan": {
578 "provider": "langfuse",
579 "tags": [
580 "string"
581 ],
582 "promptName": "string",
583 "promptVersion": 1.1,
584 "traceName": "string",
585 "metadata": {}
586 },
587 "credentials": [
588 {
589 "provider": "anthropic",
590 "apiKey": "string",
591 "name": "string"
592 }
593 ],
594 "hooks": [
595 {
596 "on": "call.ending",
597 "do": [
598 {
599 "type": "tool",
600 "tool": {
601 "messages": [
602 {
603 "contents": [
604 {
605 "type": {},
606 "text": {},
607 "language": {}
608 }
609 ],
610 "type": "request-start",
611 "blocking": false,
612 "content": "string",
613 "conditions": [
614 {
615 "operator": "eq",
616 "param": "string",
617 "value": "string"
618 }
619 ]
620 }
621 ],
622 "type": "apiRequest",
623 "method": "POST",
624 "timeoutSeconds": 20,
625 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
626 "encryptedPaths": [
627 "string"
628 ],
629 "parameters": [
630 {
631 "key": "string",
632 "value": {}
633 }
634 ],
635 "name": "string",
636 "description": "string",
637 "url": "string",
638 "body": {
639 "type": "string",
640 "items": {},
641 "properties": {},
642 "description": "string",
643 "pattern": "string",
644 "format": "date-time",
645 "required": [
646 "string"
647 ],
648 "enum": [
649 "string"
650 ],
651 "title": "string"
652 },
653 "headers": {
654 "type": "string",
655 "items": {},
656 "properties": {},
657 "description": "string",
658 "pattern": "string",
659 "format": "date-time",
660 "required": [
661 "string"
662 ],
663 "enum": [
664 "string"
665 ],
666 "title": "string"
667 },
668 "backoffPlan": {
669 "type": "fixed",
670 "maxRetries": 0,
671 "baseDelaySeconds": 1,
672 "excludedStatusCodes": [
673 400,
674 401,
675 403,
676 404
677 ]
678 },
679 "variableExtractionPlan": {
680 "schema": {
681 "type": {},
682 "items": {},
683 "properties": {},
684 "description": {},
685 "pattern": {},
686 "format": {},
687 "required": {},
688 "enum": {},
689 "title": {}
690 },
691 "aliases": [
692 {
693 "key": "string",
694 "value": "string"
695 }
696 ]
697 },
698 "rejectionPlan": {
699 "conditions": [
700 {
701 "type": "regex",
702 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
703 }
704 ]
705 }
706 },
707 "toolId": "string"
708 }
709 ],
710 "filters": [
711 {
712 "type": "oneOf",
713 "key": "string",
714 "oneOf": [
715 "string"
716 ]
717 }
718 ]
719 }
720 ],
721 "name": "string",
722 "voicemailMessage": "string",
723 "endCallMessage": "string",
724 "endCallPhrases": [
725 "string"
726 ],
727 "compliancePlan": {
728 "hipaaEnabled": true,
729 "pciEnabled": {
730 "pciEnabled": false
731 },
732 "securityFilterPlan": {
733 "enabled": false,
734 "filters": [
735 {}
736 ],
737 "mode": "sanitize",
738 "replacementText": "[FILTERED]"
739 },
740 "recordingConsentPlan": {
741 "type": "stay-on-line",
742 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
743 "voice": {
744 "cachingEnabled": true,
745 "provider": "azure",
746 "voiceId": "andrew",
747 "chunkPlan": {
748 "enabled": true,
749 "minCharacters": 30,
750 "punctuationBoundaries": "。",
751 "formatPlan": {
752 "enabled": true,
753 "numberToDigitsCutoff": 2025,
754 "replacements": [
755 {}
756 ],
757 "formattersEnabled": "markdown"
758 }
759 },
760 "speed": 1.1,
761 "fallbackPlan": {
762 "voices": [
763 {
764 "cachingEnabled": true,
765 "provider": "azure",
766 "voiceId": "andrew",
767 "speed": 1.1,
768 "chunkPlan": {},
769 "oneOf": null
770 }
771 ]
772 }
773 },
774 "waitSeconds": 3
775 }
776 },
777 "metadata": {},
778 "backgroundSpeechDenoisingPlan": {
779 "smartDenoisingPlan": {
780 "enabled": true
781 },
782 "fourierDenoisingPlan": {
783 "enabled": false,
784 "mediaDetectionEnabled": true,
785 "staticThreshold": -35,
786 "baselineOffsetDb": -15,
787 "windowSizeMs": 3000,
788 "baselinePercentile": 85
789 }
790 },
791 "analysisPlan": {
792 "summaryPlan": {
793 "messages": [
794 {}
795 ],
796 "enabled": true,
797 "timeoutSeconds": 1.1
798 },
799 "structuredDataPlan": {
800 "messages": [
801 {}
802 ],
803 "enabled": true,
804 "schema": {
805 "type": "string",
806 "items": {},
807 "properties": {},
808 "description": "string",
809 "pattern": "string",
810 "format": "date-time",
811 "required": [
812 "string"
813 ],
814 "enum": [
815 "string"
816 ],
817 "title": "string"
818 },
819 "timeoutSeconds": 1.1
820 },
821 "successEvaluationPlan": {
822 "rubric": "NumericScale",
823 "messages": [
824 {}
825 ],
826 "enabled": true,
827 "timeoutSeconds": 1.1
828 },
829 "minMessagesThreshold": 1.1,
830 "structuredDataMultiPlan": [
831 {
832 "key": "string",
833 "plan": {
834 "messages": [
835 {}
836 ],
837 "enabled": true,
838 "schema": {
839 "type": "string",
840 "items": {},
841 "properties": {},
842 "description": "string",
843 "pattern": "string",
844 "format": "date-time",
845 "required": [
846 "string"
847 ],
848 "enum": [
849 "string"
850 ],
851 "title": "string"
852 },
853 "timeoutSeconds": 1.1
854 }
855 }
856 ],
857 "outcomeIds": [
858 "string"
859 ]
860 },
861 "artifactPlan": {
862 "recordingEnabled": true,
863 "recordingFormat": "wav;l16",
864 "recordingUseCustomStorageEnabled": true,
865 "videoRecordingEnabled": false,
866 "fullMessageHistoryEnabled": false,
867 "pcapEnabled": true,
868 "pcapS3PathPrefix": "/pcaps",
869 "pcapUseCustomStorageEnabled": true,
870 "loggingEnabled": true,
871 "loggingUseCustomStorageEnabled": true,
872 "transcriptPlan": {
873 "enabled": true,
874 "assistantName": "string",
875 "userName": "string"
876 },
877 "recordingPath": "string",
878 "structuredOutputIds": [
879 "string"
880 ],
881 "structuredOutputs": [
882 {
883 "name": "string",
884 "schema": {
885 "type": "string",
886 "items": {},
887 "properties": {},
888 "description": "string",
889 "pattern": "string",
890 "format": "date-time",
891 "required": [
892 "string"
893 ],
894 "enum": [
895 "string"
896 ],
897 "title": "string"
898 },
899 "type": "ai",
900 "regex": "string",
901 "model": {
902 "provider": "openai",
903 "model": "gpt-5.4",
904 "temperature": 1.1,
905 "maxTokens": 5030
906 },
907 "compliancePlan": {
908 "forceStoreOnHipaaEnabled": false
909 },
910 "description": "string",
911 "assistantIds": [
912 "string"
913 ],
914 "workflowIds": [
915 "string"
916 ]
917 }
918 ],
919 "scorecardIds": [
920 "string"
921 ],
922 "scorecards": [
923 {
924 "metrics": [
925 {
926 "structuredOutputId": "string",
927 "conditions": [
928 {}
929 ]
930 }
931 ],
932 "name": "string",
933 "description": "string",
934 "assistantIds": [
935 "string"
936 ]
937 }
938 ],
939 "loggingPath": "string"
940 },
941 "startSpeakingPlan": {
942 "waitSeconds": 0.4,
943 "smartEndpointingPlan": {
944 "provider": "vapi"
945 },
946 "customEndpointingRules": [
947 {
948 "type": "assistant",
949 "regex": "string",
950 "regexOptions": [
951 {
952 "type": "ignore-case",
953 "enabled": true
954 }
955 ],
956 "timeoutSeconds": 1.1
957 }
958 ],
959 "transcriptionEndpointingPlan": {
960 "onPunctuationSeconds": 0.1,
961 "onNoPunctuationSeconds": 1.5,
962 "onNumberSeconds": 0.5
963 },
964 "smartEndpointingEnabled": false
965 },
966 "stopSpeakingPlan": {
967 "numWords": 0,
968 "voiceSeconds": 0.2,
969 "backoffSeconds": 1,
970 "acknowledgementPhrases": [
971 "i understand",
972 "i see",
973 "i got it",
974 "i hear you",
975 "im listening",
976 "im with you",
977 "right",
978 "okay",
979 "ok",
980 "sure",
981 "alright",
982 "got it",
983 "understood",
984 "yeah",
985 "yes",
986 "uh-huh",
987 "mm-hmm",
988 "gotcha",
989 "mhmm",
990 "ah",
991 "yeah okay",
992 "yeah sure"
993 ],
994 "interruptionPhrases": [
995 "stop",
996 "shut",
997 "up",
998 "enough",
999 "quiet",
1000 "silence",
1001 "but",
1002 "dont",
1003 "not",
1004 "no",
1005 "hold",
1006 "wait",
1007 "cut",
1008 "pause",
1009 "nope",
1010 "nah",
1011 "nevermind",
1012 "never",
1013 "bad",
1014 "actually"
1015 ]
1016 },
1017 "monitorPlan": {
1018 "listenEnabled": false,
1019 "listenAuthenticationEnabled": false,
1020 "controlEnabled": false,
1021 "controlAuthenticationEnabled": false,
1022 "monitorIds": [
1023 "123e4567-e89b-12d3-a456-426614174000"
1024 ]
1025 },
1026 "credentialIds": [
1027 "string"
1028 ],
1029 "server": {
1030 "timeoutSeconds": 20,
1031 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1032 "staticIpAddressesEnabled": false,
1033 "encryptedPaths": [
1034 "string"
1035 ],
1036 "url": "string",
1037 "headers": {},
1038 "backoffPlan": {
1039 "type": "fixed",
1040 "maxRetries": 0,
1041 "baseDelaySeconds": 1,
1042 "excludedStatusCodes": [
1043 400,
1044 401,
1045 403,
1046 404
1047 ]
1048 }
1049 },
1050 "keypadInputPlan": {
1051 "enabled": true,
1052 "timeoutSeconds": 1.1,
1053 "delimiters": "#"
1054 }
1055 },
1056 "assistantOverrides": {
1057 "transcriber": {
1058 "provider": "assembly-ai",
1059 "language": "multi",
1060 "confidenceThreshold": 0.4,
1061 "formatTurns": true,
1062 "endOfTurnConfidenceThreshold": 0.7,
1063 "minEndOfTurnSilenceWhenConfident": 160,
1064 "wordFinalizationMaxWaitTime": 160,
1065 "maxTurnSilence": 400,
1066 "vadAssistedEndpointingEnabled": true,
1067 "speechModel": "universal-streaming-english",
1068 "realtimeUrl": "string",
1069 "wordBoost": [
1070 "string"
1071 ],
1072 "keytermsPrompt": [
1073 "string"
1074 ],
1075 "endUtteranceSilenceThreshold": 1.1,
1076 "disablePartialTranscripts": true,
1077 "fallbackPlan": {
1078 "transcribers": [
1079 {
1080 "provider": "assembly-ai",
1081 "language": "multi",
1082 "confidenceThreshold": 0.4,
1083 "formatTurns": true,
1084 "endOfTurnConfidenceThreshold": 0.7,
1085 "minEndOfTurnSilenceWhenConfident": 160,
1086 "wordFinalizationMaxWaitTime": 160,
1087 "maxTurnSilence": 400,
1088 "vadAssistedEndpointingEnabled": true,
1089 "speechModel": "universal-streaming-english",
1090 "realtimeUrl": "string",
1091 "wordBoost": [
1092 "string"
1093 ],
1094 "keytermsPrompt": [
1095 "string"
1096 ],
1097 "endUtteranceSilenceThreshold": 1.1,
1098 "disablePartialTranscripts": true
1099 }
1100 ]
1101 }
1102 },
1103 "model": {
1104 "messages": [
1105 {
1106 "content": "string",
1107 "role": "assistant"
1108 }
1109 ],
1110 "tools": [
1111 {
1112 "messages": [
1113 {
1114 "contents": [
1115 {
1116 "type": "text",
1117 "text": "string",
1118 "language": "aa"
1119 }
1120 ],
1121 "type": "request-start",
1122 "blocking": false,
1123 "content": "string",
1124 "conditions": [
1125 {
1126 "operator": "eq",
1127 "param": "string",
1128 "value": "string"
1129 }
1130 ]
1131 }
1132 ],
1133 "type": "apiRequest",
1134 "method": "POST",
1135 "timeoutSeconds": 20,
1136 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1137 "encryptedPaths": [
1138 "string"
1139 ],
1140 "parameters": [
1141 {
1142 "key": "string",
1143 "value": {}
1144 }
1145 ],
1146 "name": "string",
1147 "description": "string",
1148 "url": "string",
1149 "body": {
1150 "type": "string",
1151 "items": {},
1152 "properties": {},
1153 "description": "string",
1154 "pattern": "string",
1155 "format": "date-time",
1156 "required": [
1157 "string"
1158 ],
1159 "enum": [
1160 "string"
1161 ],
1162 "title": "string"
1163 },
1164 "headers": {
1165 "type": "string",
1166 "items": {},
1167 "properties": {},
1168 "description": "string",
1169 "pattern": "string",
1170 "format": "date-time",
1171 "required": [
1172 "string"
1173 ],
1174 "enum": [
1175 "string"
1176 ],
1177 "title": "string"
1178 },
1179 "backoffPlan": {
1180 "type": "fixed",
1181 "maxRetries": 0,
1182 "baseDelaySeconds": 1,
1183 "excludedStatusCodes": [
1184 400,
1185 401,
1186 403,
1187 404
1188 ]
1189 },
1190 "variableExtractionPlan": {
1191 "schema": {
1192 "type": "string",
1193 "items": {},
1194 "properties": {},
1195 "description": "string",
1196 "pattern": "string",
1197 "format": "date-time",
1198 "required": [
1199 "string"
1200 ],
1201 "enum": [
1202 "string"
1203 ],
1204 "title": "string"
1205 },
1206 "aliases": [
1207 {
1208 "key": "string",
1209 "value": "string"
1210 }
1211 ]
1212 },
1213 "rejectionPlan": {
1214 "conditions": [
1215 {
1216 "type": "regex",
1217 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1218 }
1219 ]
1220 }
1221 }
1222 ],
1223 "toolIds": [
1224 "string"
1225 ],
1226 "knowledgeBase": {
1227 "provider": "custom-knowledge-base",
1228 "server": {
1229 "timeoutSeconds": 20,
1230 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1231 "staticIpAddressesEnabled": false,
1232 "encryptedPaths": [
1233 "string"
1234 ],
1235 "url": "string",
1236 "headers": {},
1237 "backoffPlan": {
1238 "type": "fixed",
1239 "maxRetries": 0,
1240 "baseDelaySeconds": 1,
1241 "excludedStatusCodes": [
1242 400,
1243 401,
1244 403,
1245 404
1246 ]
1247 }
1248 }
1249 },
1250 "model": "claude-3-opus-20240229",
1251 "provider": "anthropic",
1252 "thinking": {
1253 "type": "enabled",
1254 "budgetTokens": 50500
1255 },
1256 "temperature": 1.1,
1257 "maxTokens": 5030,
1258 "emotionRecognitionEnabled": true,
1259 "numFastTurns": 1.1
1260 },
1261 "voice": {
1262 "cachingEnabled": true,
1263 "provider": "azure",
1264 "voiceId": "andrew",
1265 "chunkPlan": {
1266 "enabled": true,
1267 "minCharacters": 30,
1268 "punctuationBoundaries": "。",
1269 "formatPlan": {
1270 "enabled": true,
1271 "numberToDigitsCutoff": 2025,
1272 "replacements": [
1273 {
1274 "type": "exact",
1275 "replaceAllEnabled": false,
1276 "key": "string",
1277 "value": "string"
1278 }
1279 ],
1280 "formattersEnabled": "markdown"
1281 }
1282 },
1283 "speed": 1.1,
1284 "fallbackPlan": {
1285 "voices": [
1286 {
1287 "cachingEnabled": true,
1288 "provider": "azure",
1289 "voiceId": "andrew",
1290 "speed": 1.1,
1291 "chunkPlan": {
1292 "enabled": true,
1293 "minCharacters": 30,
1294 "punctuationBoundaries": "。",
1295 "formatPlan": {
1296 "enabled": true,
1297 "numberToDigitsCutoff": 2025,
1298 "replacements": {},
1299 "formattersEnabled": {}
1300 }
1301 },
1302 "oneOf": null
1303 }
1304 ]
1305 }
1306 },
1307 "firstMessage": "Hello! How can I help you today?",
1308 "firstMessageInterruptionsEnabled": false,
1309 "firstMessageMode": "assistant-speaks-first",
1310 "voicemailDetection": "off",
1311 "clientMessages": "conversation-update",
1312 "serverMessages": "assistant.started",
1313 "maxDurationSeconds": 600,
1314 "backgroundSound": "off",
1315 "modelOutputInMessagesEnabled": false,
1316 "transportConfigurations": [
1317 {
1318 "provider": "twilio",
1319 "timeout": 60,
1320 "record": false,
1321 "recordingChannels": "mono"
1322 }
1323 ],
1324 "observabilityPlan": {
1325 "provider": "langfuse",
1326 "tags": [
1327 "string"
1328 ],
1329 "promptName": "string",
1330 "promptVersion": 1.1,
1331 "traceName": "string",
1332 "metadata": {}
1333 },
1334 "credentials": [
1335 {
1336 "provider": "anthropic",
1337 "apiKey": "string",
1338 "name": "string"
1339 }
1340 ],
1341 "hooks": [
1342 {
1343 "on": "call.ending",
1344 "do": [
1345 {
1346 "type": "tool",
1347 "tool": {
1348 "messages": [
1349 {
1350 "contents": [
1351 {
1352 "type": {},
1353 "text": {},
1354 "language": {}
1355 }
1356 ],
1357 "type": "request-start",
1358 "blocking": false,
1359 "content": "string",
1360 "conditions": [
1361 {
1362 "operator": "eq",
1363 "param": "string",
1364 "value": "string"
1365 }
1366 ]
1367 }
1368 ],
1369 "type": "apiRequest",
1370 "method": "POST",
1371 "timeoutSeconds": 20,
1372 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1373 "encryptedPaths": [
1374 "string"
1375 ],
1376 "parameters": [
1377 {
1378 "key": "string",
1379 "value": {}
1380 }
1381 ],
1382 "name": "string",
1383 "description": "string",
1384 "url": "string",
1385 "body": {
1386 "type": "string",
1387 "items": {},
1388 "properties": {},
1389 "description": "string",
1390 "pattern": "string",
1391 "format": "date-time",
1392 "required": [
1393 "string"
1394 ],
1395 "enum": [
1396 "string"
1397 ],
1398 "title": "string"
1399 },
1400 "headers": {
1401 "type": "string",
1402 "items": {},
1403 "properties": {},
1404 "description": "string",
1405 "pattern": "string",
1406 "format": "date-time",
1407 "required": [
1408 "string"
1409 ],
1410 "enum": [
1411 "string"
1412 ],
1413 "title": "string"
1414 },
1415 "backoffPlan": {
1416 "type": "fixed",
1417 "maxRetries": 0,
1418 "baseDelaySeconds": 1,
1419 "excludedStatusCodes": [
1420 400,
1421 401,
1422 403,
1423 404
1424 ]
1425 },
1426 "variableExtractionPlan": {
1427 "schema": {
1428 "type": {},
1429 "items": {},
1430 "properties": {},
1431 "description": {},
1432 "pattern": {},
1433 "format": {},
1434 "required": {},
1435 "enum": {},
1436 "title": {}
1437 },
1438 "aliases": [
1439 {
1440 "key": "string",
1441 "value": "string"
1442 }
1443 ]
1444 },
1445 "rejectionPlan": {
1446 "conditions": [
1447 {
1448 "type": "regex",
1449 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1450 }
1451 ]
1452 }
1453 },
1454 "toolId": "string"
1455 }
1456 ],
1457 "filters": [
1458 {
1459 "type": "oneOf",
1460 "key": "string",
1461 "oneOf": [
1462 "string"
1463 ]
1464 }
1465 ]
1466 }
1467 ],
1468 "tools:append": [
1469 {
1470 "messages": [
1471 {
1472 "contents": [
1473 {
1474 "type": "text",
1475 "text": "string",
1476 "language": "aa"
1477 }
1478 ],
1479 "type": "request-start",
1480 "blocking": false,
1481 "content": "string",
1482 "conditions": [
1483 {
1484 "operator": "eq",
1485 "param": "string",
1486 "value": "string"
1487 }
1488 ]
1489 }
1490 ],
1491 "type": "apiRequest",
1492 "method": "POST",
1493 "timeoutSeconds": 20,
1494 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1495 "encryptedPaths": [
1496 "string"
1497 ],
1498 "parameters": [
1499 {
1500 "key": "string",
1501 "value": {}
1502 }
1503 ],
1504 "name": "string",
1505 "description": "string",
1506 "url": "string",
1507 "body": {
1508 "type": "string",
1509 "items": {},
1510 "properties": {},
1511 "description": "string",
1512 "pattern": "string",
1513 "format": "date-time",
1514 "required": [
1515 "string"
1516 ],
1517 "enum": [
1518 "string"
1519 ],
1520 "title": "string"
1521 },
1522 "headers": {
1523 "type": "string",
1524 "items": {},
1525 "properties": {},
1526 "description": "string",
1527 "pattern": "string",
1528 "format": "date-time",
1529 "required": [
1530 "string"
1531 ],
1532 "enum": [
1533 "string"
1534 ],
1535 "title": "string"
1536 },
1537 "backoffPlan": {
1538 "type": "fixed",
1539 "maxRetries": 0,
1540 "baseDelaySeconds": 1,
1541 "excludedStatusCodes": [
1542 400,
1543 401,
1544 403,
1545 404
1546 ]
1547 },
1548 "variableExtractionPlan": {
1549 "schema": {
1550 "type": "string",
1551 "items": {},
1552 "properties": {},
1553 "description": "string",
1554 "pattern": "string",
1555 "format": "date-time",
1556 "required": [
1557 "string"
1558 ],
1559 "enum": [
1560 "string"
1561 ],
1562 "title": "string"
1563 },
1564 "aliases": [
1565 {
1566 "key": "string",
1567 "value": "string"
1568 }
1569 ]
1570 },
1571 "rejectionPlan": {
1572 "conditions": [
1573 {
1574 "type": "regex",
1575 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1576 }
1577 ]
1578 }
1579 }
1580 ],
1581 "variableValues": {},
1582 "name": "string",
1583 "voicemailMessage": "string",
1584 "endCallMessage": "string",
1585 "endCallPhrases": [
1586 "string"
1587 ],
1588 "compliancePlan": {
1589 "hipaaEnabled": true,
1590 "pciEnabled": {
1591 "pciEnabled": false
1592 },
1593 "securityFilterPlan": {
1594 "enabled": false,
1595 "filters": [
1596 {}
1597 ],
1598 "mode": "sanitize",
1599 "replacementText": "[FILTERED]"
1600 },
1601 "recordingConsentPlan": {
1602 "type": "stay-on-line",
1603 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1604 "voice": {
1605 "cachingEnabled": true,
1606 "provider": "azure",
1607 "voiceId": "andrew",
1608 "chunkPlan": {
1609 "enabled": true,
1610 "minCharacters": 30,
1611 "punctuationBoundaries": "。",
1612 "formatPlan": {
1613 "enabled": true,
1614 "numberToDigitsCutoff": 2025,
1615 "replacements": [
1616 {}
1617 ],
1618 "formattersEnabled": "markdown"
1619 }
1620 },
1621 "speed": 1.1,
1622 "fallbackPlan": {
1623 "voices": [
1624 {
1625 "cachingEnabled": true,
1626 "provider": "azure",
1627 "voiceId": "andrew",
1628 "speed": 1.1,
1629 "chunkPlan": {},
1630 "oneOf": null
1631 }
1632 ]
1633 }
1634 },
1635 "waitSeconds": 3
1636 }
1637 },
1638 "metadata": {},
1639 "backgroundSpeechDenoisingPlan": {
1640 "smartDenoisingPlan": {
1641 "enabled": true
1642 },
1643 "fourierDenoisingPlan": {
1644 "enabled": false,
1645 "mediaDetectionEnabled": true,
1646 "staticThreshold": -35,
1647 "baselineOffsetDb": -15,
1648 "windowSizeMs": 3000,
1649 "baselinePercentile": 85
1650 }
1651 },
1652 "analysisPlan": {
1653 "summaryPlan": {
1654 "messages": [
1655 {}
1656 ],
1657 "enabled": true,
1658 "timeoutSeconds": 1.1
1659 },
1660 "structuredDataPlan": {
1661 "messages": [
1662 {}
1663 ],
1664 "enabled": true,
1665 "schema": {
1666 "type": "string",
1667 "items": {},
1668 "properties": {},
1669 "description": "string",
1670 "pattern": "string",
1671 "format": "date-time",
1672 "required": [
1673 "string"
1674 ],
1675 "enum": [
1676 "string"
1677 ],
1678 "title": "string"
1679 },
1680 "timeoutSeconds": 1.1
1681 },
1682 "successEvaluationPlan": {
1683 "rubric": "NumericScale",
1684 "messages": [
1685 {}
1686 ],
1687 "enabled": true,
1688 "timeoutSeconds": 1.1
1689 },
1690 "minMessagesThreshold": 1.1,
1691 "structuredDataMultiPlan": [
1692 {
1693 "key": "string",
1694 "plan": {
1695 "messages": [
1696 {}
1697 ],
1698 "enabled": true,
1699 "schema": {
1700 "type": "string",
1701 "items": {},
1702 "properties": {},
1703 "description": "string",
1704 "pattern": "string",
1705 "format": "date-time",
1706 "required": [
1707 "string"
1708 ],
1709 "enum": [
1710 "string"
1711 ],
1712 "title": "string"
1713 },
1714 "timeoutSeconds": 1.1
1715 }
1716 }
1717 ],
1718 "outcomeIds": [
1719 "string"
1720 ]
1721 },
1722 "artifactPlan": {
1723 "recordingEnabled": true,
1724 "recordingFormat": "wav;l16",
1725 "recordingUseCustomStorageEnabled": true,
1726 "videoRecordingEnabled": false,
1727 "fullMessageHistoryEnabled": false,
1728 "pcapEnabled": true,
1729 "pcapS3PathPrefix": "/pcaps",
1730 "pcapUseCustomStorageEnabled": true,
1731 "loggingEnabled": true,
1732 "loggingUseCustomStorageEnabled": true,
1733 "transcriptPlan": {
1734 "enabled": true,
1735 "assistantName": "string",
1736 "userName": "string"
1737 },
1738 "recordingPath": "string",
1739 "structuredOutputIds": [
1740 "string"
1741 ],
1742 "structuredOutputs": [
1743 {
1744 "name": "string",
1745 "schema": {
1746 "type": "string",
1747 "items": {},
1748 "properties": {},
1749 "description": "string",
1750 "pattern": "string",
1751 "format": "date-time",
1752 "required": [
1753 "string"
1754 ],
1755 "enum": [
1756 "string"
1757 ],
1758 "title": "string"
1759 },
1760 "type": "ai",
1761 "regex": "string",
1762 "model": {
1763 "provider": "openai",
1764 "model": "gpt-5.4",
1765 "temperature": 1.1,
1766 "maxTokens": 5030
1767 },
1768 "compliancePlan": {
1769 "forceStoreOnHipaaEnabled": false
1770 },
1771 "description": "string",
1772 "assistantIds": [
1773 "string"
1774 ],
1775 "workflowIds": [
1776 "string"
1777 ]
1778 }
1779 ],
1780 "scorecardIds": [
1781 "string"
1782 ],
1783 "scorecards": [
1784 {
1785 "metrics": [
1786 {
1787 "structuredOutputId": "string",
1788 "conditions": [
1789 {}
1790 ]
1791 }
1792 ],
1793 "name": "string",
1794 "description": "string",
1795 "assistantIds": [
1796 "string"
1797 ]
1798 }
1799 ],
1800 "loggingPath": "string"
1801 },
1802 "startSpeakingPlan": {
1803 "waitSeconds": 0.4,
1804 "smartEndpointingPlan": {
1805 "provider": "vapi"
1806 },
1807 "customEndpointingRules": [
1808 {
1809 "type": "assistant",
1810 "regex": "string",
1811 "regexOptions": [
1812 {
1813 "type": "ignore-case",
1814 "enabled": true
1815 }
1816 ],
1817 "timeoutSeconds": 1.1
1818 }
1819 ],
1820 "transcriptionEndpointingPlan": {
1821 "onPunctuationSeconds": 0.1,
1822 "onNoPunctuationSeconds": 1.5,
1823 "onNumberSeconds": 0.5
1824 },
1825 "smartEndpointingEnabled": false
1826 },
1827 "stopSpeakingPlan": {
1828 "numWords": 0,
1829 "voiceSeconds": 0.2,
1830 "backoffSeconds": 1,
1831 "acknowledgementPhrases": [
1832 "i understand",
1833 "i see",
1834 "i got it",
1835 "i hear you",
1836 "im listening",
1837 "im with you",
1838 "right",
1839 "okay",
1840 "ok",
1841 "sure",
1842 "alright",
1843 "got it",
1844 "understood",
1845 "yeah",
1846 "yes",
1847 "uh-huh",
1848 "mm-hmm",
1849 "gotcha",
1850 "mhmm",
1851 "ah",
1852 "yeah okay",
1853 "yeah sure"
1854 ],
1855 "interruptionPhrases": [
1856 "stop",
1857 "shut",
1858 "up",
1859 "enough",
1860 "quiet",
1861 "silence",
1862 "but",
1863 "dont",
1864 "not",
1865 "no",
1866 "hold",
1867 "wait",
1868 "cut",
1869 "pause",
1870 "nope",
1871 "nah",
1872 "nevermind",
1873 "never",
1874 "bad",
1875 "actually"
1876 ]
1877 },
1878 "monitorPlan": {
1879 "listenEnabled": false,
1880 "listenAuthenticationEnabled": false,
1881 "controlEnabled": false,
1882 "controlAuthenticationEnabled": false,
1883 "monitorIds": [
1884 "123e4567-e89b-12d3-a456-426614174000"
1885 ]
1886 },
1887 "credentialIds": [
1888 "string"
1889 ],
1890 "server": {
1891 "timeoutSeconds": 20,
1892 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1893 "staticIpAddressesEnabled": false,
1894 "encryptedPaths": [
1895 "string"
1896 ],
1897 "url": "string",
1898 "headers": {},
1899 "backoffPlan": {
1900 "type": "fixed",
1901 "maxRetries": 0,
1902 "baseDelaySeconds": 1,
1903 "excludedStatusCodes": [
1904 400,
1905 401,
1906 403,
1907 404
1908 ]
1909 }
1910 },
1911 "keypadInputPlan": {
1912 "enabled": true,
1913 "timeoutSeconds": 1.1,
1914 "delimiters": "#"
1915 }
1916 },
1917 "squadId": "string",
1918 "squad": {
1919 "members": [
1920 {
1921 "assistantDestinations": [
1922 {
1923 "message": "string",
1924 "type": "assistant",
1925 "transferMode": "rolling-history",
1926 "assistantName": "string",
1927 "description": "string"
1928 }
1929 ],
1930 "assistantId": "string",
1931 "assistant": {
1932 "transcriber": {
1933 "provider": "assembly-ai",
1934 "language": "multi",
1935 "confidenceThreshold": 0.4,
1936 "formatTurns": true,
1937 "endOfTurnConfidenceThreshold": 0.7,
1938 "minEndOfTurnSilenceWhenConfident": 160,
1939 "wordFinalizationMaxWaitTime": 160,
1940 "maxTurnSilence": 400,
1941 "vadAssistedEndpointingEnabled": true,
1942 "speechModel": "universal-streaming-english",
1943 "realtimeUrl": "string",
1944 "wordBoost": [
1945 "string"
1946 ],
1947 "keytermsPrompt": [
1948 "string"
1949 ],
1950 "endUtteranceSilenceThreshold": 1.1,
1951 "disablePartialTranscripts": true,
1952 "fallbackPlan": {
1953 "transcribers": [
1954 {
1955 "provider": "assembly-ai",
1956 "language": "multi",
1957 "confidenceThreshold": 0.4,
1958 "formatTurns": true,
1959 "endOfTurnConfidenceThreshold": 0.7,
1960 "minEndOfTurnSilenceWhenConfident": 160,
1961 "wordFinalizationMaxWaitTime": 160,
1962 "maxTurnSilence": 400,
1963 "vadAssistedEndpointingEnabled": true,
1964 "speechModel": "universal-streaming-english",
1965 "realtimeUrl": "string",
1966 "wordBoost": [
1967 "string"
1968 ],
1969 "keytermsPrompt": [
1970 "string"
1971 ],
1972 "endUtteranceSilenceThreshold": 1.1,
1973 "disablePartialTranscripts": true
1974 }
1975 ]
1976 }
1977 },
1978 "model": {
1979 "messages": [
1980 {
1981 "content": "string",
1982 "role": "assistant"
1983 }
1984 ],
1985 "tools": [
1986 {
1987 "messages": [
1988 {
1989 "contents": [
1990 {}
1991 ],
1992 "type": "request-start",
1993 "blocking": false,
1994 "content": "string",
1995 "conditions": [
1996 {
1997 "operator": {},
1998 "param": {},
1999 "value": {}
2000 }
2001 ]
2002 }
2003 ],
2004 "type": "apiRequest",
2005 "method": "POST",
2006 "timeoutSeconds": 20,
2007 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2008 "encryptedPaths": [
2009 "string"
2010 ],
2011 "parameters": [
2012 {
2013 "key": "string",
2014 "value": {}
2015 }
2016 ],
2017 "name": "string",
2018 "description": "string",
2019 "url": "string",
2020 "body": {
2021 "type": "string",
2022 "items": {},
2023 "properties": {},
2024 "description": "string",
2025 "pattern": "string",
2026 "format": "date-time",
2027 "required": [
2028 "string"
2029 ],
2030 "enum": [
2031 "string"
2032 ],
2033 "title": "string"
2034 },
2035 "headers": {
2036 "type": "string",
2037 "items": {},
2038 "properties": {},
2039 "description": "string",
2040 "pattern": "string",
2041 "format": "date-time",
2042 "required": [
2043 "string"
2044 ],
2045 "enum": [
2046 "string"
2047 ],
2048 "title": "string"
2049 },
2050 "backoffPlan": {
2051 "type": "fixed",
2052 "maxRetries": 0,
2053 "baseDelaySeconds": 1,
2054 "excludedStatusCodes": [
2055 400,
2056 401,
2057 403,
2058 404
2059 ]
2060 },
2061 "variableExtractionPlan": {
2062 "schema": {},
2063 "aliases": [
2064 {
2065 "key": {},
2066 "value": {}
2067 }
2068 ]
2069 },
2070 "rejectionPlan": {
2071 "conditions": [
2072 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2073 ]
2074 }
2075 }
2076 ],
2077 "toolIds": [
2078 "string"
2079 ],
2080 "knowledgeBase": {
2081 "provider": "custom-knowledge-base",
2082 "server": {
2083 "timeoutSeconds": 20,
2084 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2085 "staticIpAddressesEnabled": false,
2086 "encryptedPaths": [
2087 "string"
2088 ],
2089 "url": "string",
2090 "headers": {},
2091 "backoffPlan": {}
2092 }
2093 },
2094 "model": "claude-3-opus-20240229",
2095 "provider": "anthropic",
2096 "thinking": {
2097 "type": "enabled",
2098 "budgetTokens": 50500
2099 },
2100 "temperature": 1.1,
2101 "maxTokens": 5030,
2102 "emotionRecognitionEnabled": true,
2103 "numFastTurns": 1.1
2104 },
2105 "voice": {
2106 "cachingEnabled": true,
2107 "provider": "azure",
2108 "voiceId": "andrew",
2109 "chunkPlan": {
2110 "enabled": true,
2111 "minCharacters": 30,
2112 "punctuationBoundaries": "。",
2113 "formatPlan": {
2114 "enabled": true,
2115 "numberToDigitsCutoff": 2025,
2116 "replacements": [
2117 {}
2118 ],
2119 "formattersEnabled": "markdown"
2120 }
2121 },
2122 "speed": 1.1,
2123 "fallbackPlan": {
2124 "voices": [
2125 {
2126 "cachingEnabled": true,
2127 "provider": "azure",
2128 "voiceId": "andrew",
2129 "speed": 1.1,
2130 "chunkPlan": {},
2131 "oneOf": null
2132 }
2133 ]
2134 }
2135 },
2136 "firstMessage": "Hello! How can I help you today?",
2137 "firstMessageInterruptionsEnabled": false,
2138 "firstMessageMode": "assistant-speaks-first",
2139 "voicemailDetection": "off",
2140 "clientMessages": "conversation-update",
2141 "serverMessages": "assistant.started",
2142 "maxDurationSeconds": 600,
2143 "backgroundSound": "off",
2144 "modelOutputInMessagesEnabled": false,
2145 "transportConfigurations": [
2146 {
2147 "provider": "twilio",
2148 "timeout": 60,
2149 "record": false,
2150 "recordingChannels": "mono"
2151 }
2152 ],
2153 "observabilityPlan": {
2154 "provider": "langfuse",
2155 "tags": [
2156 "string"
2157 ],
2158 "promptName": "string",
2159 "promptVersion": 1.1,
2160 "traceName": "string",
2161 "metadata": {}
2162 },
2163 "credentials": [
2164 {
2165 "provider": "anthropic",
2166 "apiKey": "string",
2167 "name": "string"
2168 }
2169 ],
2170 "hooks": [
2171 {
2172 "on": "call.ending",
2173 "do": [
2174 {
2175 "type": "tool",
2176 "tool": {
2177 "messages": [
2178 {}
2179 ],
2180 "type": "apiRequest",
2181 "method": "POST",
2182 "timeoutSeconds": 20,
2183 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2184 "encryptedPaths": [
2185 "string"
2186 ],
2187 "parameters": [
2188 {
2189 "key": {},
2190 "value": {}
2191 }
2192 ],
2193 "name": "string",
2194 "description": "string",
2195 "url": "string",
2196 "body": {},
2197 "headers": {},
2198 "backoffPlan": {},
2199 "variableExtractionPlan": {},
2200 "rejectionPlan": {}
2201 },
2202 "toolId": "string"
2203 }
2204 ],
2205 "filters": [
2206 {
2207 "type": "oneOf",
2208 "key": "string",
2209 "oneOf": [
2210 "string"
2211 ]
2212 }
2213 ]
2214 }
2215 ],
2216 "name": "string",
2217 "voicemailMessage": "string",
2218 "endCallMessage": "string",
2219 "endCallPhrases": [
2220 "string"
2221 ],
2222 "compliancePlan": {
2223 "hipaaEnabled": true,
2224 "pciEnabled": {
2225 "pciEnabled": false
2226 },
2227 "securityFilterPlan": {
2228 "enabled": false,
2229 "filters": [
2230 {}
2231 ],
2232 "mode": "sanitize",
2233 "replacementText": "[FILTERED]"
2234 },
2235 "recordingConsentPlan": {
2236 "type": "stay-on-line",
2237 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2238 "voice": {
2239 "cachingEnabled": true,
2240 "provider": "azure",
2241 "voiceId": "andrew",
2242 "chunkPlan": {
2243 "enabled": true,
2244 "minCharacters": 30,
2245 "punctuationBoundaries": [
2246 "。",
2247 ",",
2248 ".",
2249 "!",
2250 "?",
2251 ";",
2252 "،",
2253 "۔",
2254 "।",
2255 "॥",
2256 "|",
2257 "||",
2258 ",",
2259 ":"
2260 ],
2261 "formatPlan": {}
2262 },
2263 "speed": 1.1,
2264 "fallbackPlan": {
2265 "voices": {}
2266 }
2267 },
2268 "waitSeconds": 3
2269 }
2270 },
2271 "metadata": {},
2272 "backgroundSpeechDenoisingPlan": {
2273 "smartDenoisingPlan": {
2274 "enabled": true
2275 },
2276 "fourierDenoisingPlan": {
2277 "enabled": false,
2278 "mediaDetectionEnabled": true,
2279 "staticThreshold": -35,
2280 "baselineOffsetDb": -15,
2281 "windowSizeMs": 3000,
2282 "baselinePercentile": 85
2283 }
2284 },
2285 "analysisPlan": {
2286 "summaryPlan": {
2287 "messages": [
2288 {}
2289 ],
2290 "enabled": true,
2291 "timeoutSeconds": 1.1
2292 },
2293 "structuredDataPlan": {
2294 "messages": [
2295 {}
2296 ],
2297 "enabled": true,
2298 "schema": {
2299 "type": "string",
2300 "items": {},
2301 "properties": {},
2302 "description": "string",
2303 "pattern": "string",
2304 "format": "date-time",
2305 "required": [
2306 "string"
2307 ],
2308 "enum": [
2309 "string"
2310 ],
2311 "title": "string"
2312 },
2313 "timeoutSeconds": 1.1
2314 },
2315 "successEvaluationPlan": {
2316 "rubric": "NumericScale",
2317 "messages": [
2318 {}
2319 ],
2320 "enabled": true,
2321 "timeoutSeconds": 1.1
2322 },
2323 "minMessagesThreshold": 1.1,
2324 "structuredDataMultiPlan": [
2325 {
2326 "key": "string",
2327 "plan": {
2328 "messages": [
2329 {}
2330 ],
2331 "enabled": true,
2332 "schema": {
2333 "type": {},
2334 "items": {},
2335 "properties": {},
2336 "description": {},
2337 "pattern": {},
2338 "format": {},
2339 "required": {},
2340 "enum": {},
2341 "title": {}
2342 },
2343 "timeoutSeconds": 1.1
2344 }
2345 }
2346 ],
2347 "outcomeIds": [
2348 "string"
2349 ]
2350 },
2351 "artifactPlan": {
2352 "recordingEnabled": true,
2353 "recordingFormat": "wav;l16",
2354 "recordingUseCustomStorageEnabled": true,
2355 "videoRecordingEnabled": false,
2356 "fullMessageHistoryEnabled": false,
2357 "pcapEnabled": true,
2358 "pcapS3PathPrefix": "/pcaps",
2359 "pcapUseCustomStorageEnabled": true,
2360 "loggingEnabled": true,
2361 "loggingUseCustomStorageEnabled": true,
2362 "transcriptPlan": {
2363 "enabled": true,
2364 "assistantName": "string",
2365 "userName": "string"
2366 },
2367 "recordingPath": "string",
2368 "structuredOutputIds": [
2369 "string"
2370 ],
2371 "structuredOutputs": [
2372 {
2373 "name": "string",
2374 "schema": {
2375 "type": "string",
2376 "items": {},
2377 "properties": {},
2378 "description": "string",
2379 "pattern": "string",
2380 "format": "date-time",
2381 "required": [
2382 "string"
2383 ],
2384 "enum": [
2385 "string"
2386 ],
2387 "title": "string"
2388 },
2389 "type": "ai",
2390 "regex": "string",
2391 "model": {
2392 "provider": "openai",
2393 "model": "gpt-5.4",
2394 "temperature": 1.1,
2395 "maxTokens": 5030
2396 },
2397 "compliancePlan": {
2398 "forceStoreOnHipaaEnabled": false
2399 },
2400 "description": "string",
2401 "assistantIds": [
2402 "string"
2403 ],
2404 "workflowIds": [
2405 "string"
2406 ]
2407 }
2408 ],
2409 "scorecardIds": [
2410 "string"
2411 ],
2412 "scorecards": [
2413 {
2414 "metrics": [
2415 {
2416 "structuredOutputId": "string",
2417 "conditions": [
2418 {}
2419 ]
2420 }
2421 ],
2422 "name": "string",
2423 "description": "string",
2424 "assistantIds": [
2425 "string"
2426 ]
2427 }
2428 ],
2429 "loggingPath": "string"
2430 },
2431 "startSpeakingPlan": {
2432 "waitSeconds": 0.4,
2433 "smartEndpointingPlan": {
2434 "provider": "vapi"
2435 },
2436 "customEndpointingRules": [
2437 {
2438 "type": "assistant",
2439 "regex": "string",
2440 "regexOptions": [
2441 {
2442 "type": "ignore-case",
2443 "enabled": true
2444 }
2445 ],
2446 "timeoutSeconds": 1.1
2447 }
2448 ],
2449 "transcriptionEndpointingPlan": {
2450 "onPunctuationSeconds": 0.1,
2451 "onNoPunctuationSeconds": 1.5,
2452 "onNumberSeconds": 0.5
2453 },
2454 "smartEndpointingEnabled": false
2455 },
2456 "stopSpeakingPlan": {
2457 "numWords": 0,
2458 "voiceSeconds": 0.2,
2459 "backoffSeconds": 1,
2460 "acknowledgementPhrases": [
2461 "i understand",
2462 "i see",
2463 "i got it",
2464 "i hear you",
2465 "im listening",
2466 "im with you",
2467 "right",
2468 "okay",
2469 "ok",
2470 "sure",
2471 "alright",
2472 "got it",
2473 "understood",
2474 "yeah",
2475 "yes",
2476 "uh-huh",
2477 "mm-hmm",
2478 "gotcha",
2479 "mhmm",
2480 "ah",
2481 "yeah okay",
2482 "yeah sure"
2483 ],
2484 "interruptionPhrases": [
2485 "stop",
2486 "shut",
2487 "up",
2488 "enough",
2489 "quiet",
2490 "silence",
2491 "but",
2492 "dont",
2493 "not",
2494 "no",
2495 "hold",
2496 "wait",
2497 "cut",
2498 "pause",
2499 "nope",
2500 "nah",
2501 "nevermind",
2502 "never",
2503 "bad",
2504 "actually"
2505 ]
2506 },
2507 "monitorPlan": {
2508 "listenEnabled": false,
2509 "listenAuthenticationEnabled": false,
2510 "controlEnabled": false,
2511 "controlAuthenticationEnabled": false,
2512 "monitorIds": [
2513 "123e4567-e89b-12d3-a456-426614174000"
2514 ]
2515 },
2516 "credentialIds": [
2517 "string"
2518 ],
2519 "server": {
2520 "timeoutSeconds": 20,
2521 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2522 "staticIpAddressesEnabled": false,
2523 "encryptedPaths": [
2524 "string"
2525 ],
2526 "url": "string",
2527 "headers": {},
2528 "backoffPlan": {
2529 "type": "fixed",
2530 "maxRetries": 0,
2531 "baseDelaySeconds": 1,
2532 "excludedStatusCodes": [
2533 400,
2534 401,
2535 403,
2536 404
2537 ]
2538 }
2539 },
2540 "keypadInputPlan": {
2541 "enabled": true,
2542 "timeoutSeconds": 1.1,
2543 "delimiters": "#"
2544 }
2545 },
2546 "assistantOverrides": {
2547 "transcriber": {
2548 "provider": "assembly-ai",
2549 "language": "multi",
2550 "confidenceThreshold": 0.4,
2551 "formatTurns": true,
2552 "endOfTurnConfidenceThreshold": 0.7,
2553 "minEndOfTurnSilenceWhenConfident": 160,
2554 "wordFinalizationMaxWaitTime": 160,
2555 "maxTurnSilence": 400,
2556 "vadAssistedEndpointingEnabled": true,
2557 "speechModel": "universal-streaming-english",
2558 "realtimeUrl": "string",
2559 "wordBoost": [
2560 "string"
2561 ],
2562 "keytermsPrompt": [
2563 "string"
2564 ],
2565 "endUtteranceSilenceThreshold": 1.1,
2566 "disablePartialTranscripts": true,
2567 "fallbackPlan": {
2568 "transcribers": [
2569 {
2570 "provider": "assembly-ai",
2571 "language": "multi",
2572 "confidenceThreshold": 0.4,
2573 "formatTurns": true,
2574 "endOfTurnConfidenceThreshold": 0.7,
2575 "minEndOfTurnSilenceWhenConfident": 160,
2576 "wordFinalizationMaxWaitTime": 160,
2577 "maxTurnSilence": 400,
2578 "vadAssistedEndpointingEnabled": true,
2579 "speechModel": "universal-streaming-english",
2580 "realtimeUrl": "string",
2581 "wordBoost": [
2582 "string"
2583 ],
2584 "keytermsPrompt": [
2585 "string"
2586 ],
2587 "endUtteranceSilenceThreshold": 1.1,
2588 "disablePartialTranscripts": true
2589 }
2590 ]
2591 }
2592 },
2593 "model": {
2594 "messages": [
2595 {
2596 "content": "string",
2597 "role": "assistant"
2598 }
2599 ],
2600 "tools": [
2601 {
2602 "messages": [
2603 {
2604 "contents": [
2605 {}
2606 ],
2607 "type": "request-start",
2608 "blocking": false,
2609 "content": "string",
2610 "conditions": [
2611 {
2612 "operator": {},
2613 "param": {},
2614 "value": {}
2615 }
2616 ]
2617 }
2618 ],
2619 "type": "apiRequest",
2620 "method": "POST",
2621 "timeoutSeconds": 20,
2622 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2623 "encryptedPaths": [
2624 "string"
2625 ],
2626 "parameters": [
2627 {
2628 "key": "string",
2629 "value": {}
2630 }
2631 ],
2632 "name": "string",
2633 "description": "string",
2634 "url": "string",
2635 "body": {
2636 "type": "string",
2637 "items": {},
2638 "properties": {},
2639 "description": "string",
2640 "pattern": "string",
2641 "format": "date-time",
2642 "required": [
2643 "string"
2644 ],
2645 "enum": [
2646 "string"
2647 ],
2648 "title": "string"
2649 },
2650 "headers": {
2651 "type": "string",
2652 "items": {},
2653 "properties": {},
2654 "description": "string",
2655 "pattern": "string",
2656 "format": "date-time",
2657 "required": [
2658 "string"
2659 ],
2660 "enum": [
2661 "string"
2662 ],
2663 "title": "string"
2664 },
2665 "backoffPlan": {
2666 "type": "fixed",
2667 "maxRetries": 0,
2668 "baseDelaySeconds": 1,
2669 "excludedStatusCodes": [
2670 400,
2671 401,
2672 403,
2673 404
2674 ]
2675 },
2676 "variableExtractionPlan": {
2677 "schema": {},
2678 "aliases": [
2679 {
2680 "key": {},
2681 "value": {}
2682 }
2683 ]
2684 },
2685 "rejectionPlan": {
2686 "conditions": [
2687 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2688 ]
2689 }
2690 }
2691 ],
2692 "toolIds": [
2693 "string"
2694 ],
2695 "knowledgeBase": {
2696 "provider": "custom-knowledge-base",
2697 "server": {
2698 "timeoutSeconds": 20,
2699 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2700 "staticIpAddressesEnabled": false,
2701 "encryptedPaths": [
2702 "string"
2703 ],
2704 "url": "string",
2705 "headers": {},
2706 "backoffPlan": {}
2707 }
2708 },
2709 "model": "claude-3-opus-20240229",
2710 "provider": "anthropic",
2711 "thinking": {
2712 "type": "enabled",
2713 "budgetTokens": 50500
2714 },
2715 "temperature": 1.1,
2716 "maxTokens": 5030,
2717 "emotionRecognitionEnabled": true,
2718 "numFastTurns": 1.1
2719 },
2720 "voice": {
2721 "cachingEnabled": true,
2722 "provider": "azure",
2723 "voiceId": "andrew",
2724 "chunkPlan": {
2725 "enabled": true,
2726 "minCharacters": 30,
2727 "punctuationBoundaries": "。",
2728 "formatPlan": {
2729 "enabled": true,
2730 "numberToDigitsCutoff": 2025,
2731 "replacements": [
2732 {}
2733 ],
2734 "formattersEnabled": "markdown"
2735 }
2736 },
2737 "speed": 1.1,
2738 "fallbackPlan": {
2739 "voices": [
2740 {
2741 "cachingEnabled": true,
2742 "provider": "azure",
2743 "voiceId": "andrew",
2744 "speed": 1.1,
2745 "chunkPlan": {},
2746 "oneOf": null
2747 }
2748 ]
2749 }
2750 },
2751 "firstMessage": "Hello! How can I help you today?",
2752 "firstMessageInterruptionsEnabled": false,
2753 "firstMessageMode": "assistant-speaks-first",
2754 "voicemailDetection": "off",
2755 "clientMessages": "conversation-update",
2756 "serverMessages": "assistant.started",
2757 "maxDurationSeconds": 600,
2758 "backgroundSound": "off",
2759 "modelOutputInMessagesEnabled": false,
2760 "transportConfigurations": [
2761 {
2762 "provider": "twilio",
2763 "timeout": 60,
2764 "record": false,
2765 "recordingChannels": "mono"
2766 }
2767 ],
2768 "observabilityPlan": {
2769 "provider": "langfuse",
2770 "tags": [
2771 "string"
2772 ],
2773 "promptName": "string",
2774 "promptVersion": 1.1,
2775 "traceName": "string",
2776 "metadata": {}
2777 },
2778 "credentials": [
2779 {
2780 "provider": "anthropic",
2781 "apiKey": "string",
2782 "name": "string"
2783 }
2784 ],
2785 "hooks": [
2786 {
2787 "on": "call.ending",
2788 "do": [
2789 {
2790 "type": "tool",
2791 "tool": {
2792 "messages": [
2793 {}
2794 ],
2795 "type": "apiRequest",
2796 "method": "POST",
2797 "timeoutSeconds": 20,
2798 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2799 "encryptedPaths": [
2800 "string"
2801 ],
2802 "parameters": [
2803 {
2804 "key": {},
2805 "value": {}
2806 }
2807 ],
2808 "name": "string",
2809 "description": "string",
2810 "url": "string",
2811 "body": {},
2812 "headers": {},
2813 "backoffPlan": {},
2814 "variableExtractionPlan": {},
2815 "rejectionPlan": {}
2816 },
2817 "toolId": "string"
2818 }
2819 ],
2820 "filters": [
2821 {
2822 "type": "oneOf",
2823 "key": "string",
2824 "oneOf": [
2825 "string"
2826 ]
2827 }
2828 ]
2829 }
2830 ],
2831 "tools:append": [
2832 {
2833 "messages": [
2834 {
2835 "contents": [
2836 {
2837 "type": "text",
2838 "text": "string",
2839 "language": "aa"
2840 }
2841 ],
2842 "type": "request-start",
2843 "blocking": false,
2844 "content": "string",
2845 "conditions": [
2846 {
2847 "operator": "eq",
2848 "param": "string",
2849 "value": "string"
2850 }
2851 ]
2852 }
2853 ],
2854 "type": "apiRequest",
2855 "method": "POST",
2856 "timeoutSeconds": 20,
2857 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2858 "encryptedPaths": [
2859 "string"
2860 ],
2861 "parameters": [
2862 {
2863 "key": "string",
2864 "value": {}
2865 }
2866 ],
2867 "name": "string",
2868 "description": "string",
2869 "url": "string",
2870 "body": {
2871 "type": "string",
2872 "items": {},
2873 "properties": {},
2874 "description": "string",
2875 "pattern": "string",
2876 "format": "date-time",
2877 "required": [
2878 "string"
2879 ],
2880 "enum": [
2881 "string"
2882 ],
2883 "title": "string"
2884 },
2885 "headers": {
2886 "type": "string",
2887 "items": {},
2888 "properties": {},
2889 "description": "string",
2890 "pattern": "string",
2891 "format": "date-time",
2892 "required": [
2893 "string"
2894 ],
2895 "enum": [
2896 "string"
2897 ],
2898 "title": "string"
2899 },
2900 "backoffPlan": {
2901 "type": "fixed",
2902 "maxRetries": 0,
2903 "baseDelaySeconds": 1,
2904 "excludedStatusCodes": [
2905 400,
2906 401,
2907 403,
2908 404
2909 ]
2910 },
2911 "variableExtractionPlan": {
2912 "schema": {
2913 "type": "string",
2914 "items": {},
2915 "properties": {},
2916 "description": "string",
2917 "pattern": "string",
2918 "format": "date-time",
2919 "required": [
2920 "string"
2921 ],
2922 "enum": [
2923 "string"
2924 ],
2925 "title": "string"
2926 },
2927 "aliases": [
2928 {
2929 "key": "string",
2930 "value": "string"
2931 }
2932 ]
2933 },
2934 "rejectionPlan": {
2935 "conditions": [
2936 {
2937 "type": "regex",
2938 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2939 }
2940 ]
2941 }
2942 }
2943 ],
2944 "variableValues": {},
2945 "name": "string",
2946 "voicemailMessage": "string",
2947 "endCallMessage": "string",
2948 "endCallPhrases": [
2949 "string"
2950 ],
2951 "compliancePlan": {
2952 "hipaaEnabled": true,
2953 "pciEnabled": {
2954 "pciEnabled": false
2955 },
2956 "securityFilterPlan": {
2957 "enabled": false,
2958 "filters": [
2959 {}
2960 ],
2961 "mode": "sanitize",
2962 "replacementText": "[FILTERED]"
2963 },
2964 "recordingConsentPlan": {
2965 "type": "stay-on-line",
2966 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2967 "voice": {
2968 "cachingEnabled": true,
2969 "provider": "azure",
2970 "voiceId": "andrew",
2971 "chunkPlan": {
2972 "enabled": true,
2973 "minCharacters": 30,
2974 "punctuationBoundaries": [
2975 "。",
2976 ",",
2977 ".",
2978 "!",
2979 "?",
2980 ";",
2981 "،",
2982 "۔",
2983 "।",
2984 "॥",
2985 "|",
2986 "||",
2987 ",",
2988 ":"
2989 ],
2990 "formatPlan": {}
2991 },
2992 "speed": 1.1,
2993 "fallbackPlan": {
2994 "voices": {}
2995 }
2996 },
2997 "waitSeconds": 3
2998 }
2999 },
3000 "metadata": {},
3001 "backgroundSpeechDenoisingPlan": {
3002 "smartDenoisingPlan": {
3003 "enabled": true
3004 },
3005 "fourierDenoisingPlan": {
3006 "enabled": false,
3007 "mediaDetectionEnabled": true,
3008 "staticThreshold": -35,
3009 "baselineOffsetDb": -15,
3010 "windowSizeMs": 3000,
3011 "baselinePercentile": 85
3012 }
3013 },
3014 "analysisPlan": {
3015 "summaryPlan": {
3016 "messages": [
3017 {}
3018 ],
3019 "enabled": true,
3020 "timeoutSeconds": 1.1
3021 },
3022 "structuredDataPlan": {
3023 "messages": [
3024 {}
3025 ],
3026 "enabled": true,
3027 "schema": {
3028 "type": "string",
3029 "items": {},
3030 "properties": {},
3031 "description": "string",
3032 "pattern": "string",
3033 "format": "date-time",
3034 "required": [
3035 "string"
3036 ],
3037 "enum": [
3038 "string"
3039 ],
3040 "title": "string"
3041 },
3042 "timeoutSeconds": 1.1
3043 },
3044 "successEvaluationPlan": {
3045 "rubric": "NumericScale",
3046 "messages": [
3047 {}
3048 ],
3049 "enabled": true,
3050 "timeoutSeconds": 1.1
3051 },
3052 "minMessagesThreshold": 1.1,
3053 "structuredDataMultiPlan": [
3054 {
3055 "key": "string",
3056 "plan": {
3057 "messages": [
3058 {}
3059 ],
3060 "enabled": true,
3061 "schema": {
3062 "type": {},
3063 "items": {},
3064 "properties": {},
3065 "description": {},
3066 "pattern": {},
3067 "format": {},
3068 "required": {},
3069 "enum": {},
3070 "title": {}
3071 },
3072 "timeoutSeconds": 1.1
3073 }
3074 }
3075 ],
3076 "outcomeIds": [
3077 "string"
3078 ]
3079 },
3080 "artifactPlan": {
3081 "recordingEnabled": true,
3082 "recordingFormat": "wav;l16",
3083 "recordingUseCustomStorageEnabled": true,
3084 "videoRecordingEnabled": false,
3085 "fullMessageHistoryEnabled": false,
3086 "pcapEnabled": true,
3087 "pcapS3PathPrefix": "/pcaps",
3088 "pcapUseCustomStorageEnabled": true,
3089 "loggingEnabled": true,
3090 "loggingUseCustomStorageEnabled": true,
3091 "transcriptPlan": {
3092 "enabled": true,
3093 "assistantName": "string",
3094 "userName": "string"
3095 },
3096 "recordingPath": "string",
3097 "structuredOutputIds": [
3098 "string"
3099 ],
3100 "structuredOutputs": [
3101 {
3102 "name": "string",
3103 "schema": {
3104 "type": "string",
3105 "items": {},
3106 "properties": {},
3107 "description": "string",
3108 "pattern": "string",
3109 "format": "date-time",
3110 "required": [
3111 "string"
3112 ],
3113 "enum": [
3114 "string"
3115 ],
3116 "title": "string"
3117 },
3118 "type": "ai",
3119 "regex": "string",
3120 "model": {
3121 "provider": "openai",
3122 "model": "gpt-5.4",
3123 "temperature": 1.1,
3124 "maxTokens": 5030
3125 },
3126 "compliancePlan": {
3127 "forceStoreOnHipaaEnabled": false
3128 },
3129 "description": "string",
3130 "assistantIds": [
3131 "string"
3132 ],
3133 "workflowIds": [
3134 "string"
3135 ]
3136 }
3137 ],
3138 "scorecardIds": [
3139 "string"
3140 ],
3141 "scorecards": [
3142 {
3143 "metrics": [
3144 {
3145 "structuredOutputId": "string",
3146 "conditions": [
3147 {}
3148 ]
3149 }
3150 ],
3151 "name": "string",
3152 "description": "string",
3153 "assistantIds": [
3154 "string"
3155 ]
3156 }
3157 ],
3158 "loggingPath": "string"
3159 },
3160 "startSpeakingPlan": {
3161 "waitSeconds": 0.4,
3162 "smartEndpointingPlan": {
3163 "provider": "vapi"
3164 },
3165 "customEndpointingRules": [
3166 {
3167 "type": "assistant",
3168 "regex": "string",
3169 "regexOptions": [
3170 {
3171 "type": "ignore-case",
3172 "enabled": true
3173 }
3174 ],
3175 "timeoutSeconds": 1.1
3176 }
3177 ],
3178 "transcriptionEndpointingPlan": {
3179 "onPunctuationSeconds": 0.1,
3180 "onNoPunctuationSeconds": 1.5,
3181 "onNumberSeconds": 0.5
3182 },
3183 "smartEndpointingEnabled": false
3184 },
3185 "stopSpeakingPlan": {
3186 "numWords": 0,
3187 "voiceSeconds": 0.2,
3188 "backoffSeconds": 1,
3189 "acknowledgementPhrases": [
3190 "i understand",
3191 "i see",
3192 "i got it",
3193 "i hear you",
3194 "im listening",
3195 "im with you",
3196 "right",
3197 "okay",
3198 "ok",
3199 "sure",
3200 "alright",
3201 "got it",
3202 "understood",
3203 "yeah",
3204 "yes",
3205 "uh-huh",
3206 "mm-hmm",
3207 "gotcha",
3208 "mhmm",
3209 "ah",
3210 "yeah okay",
3211 "yeah sure"
3212 ],
3213 "interruptionPhrases": [
3214 "stop",
3215 "shut",
3216 "up",
3217 "enough",
3218 "quiet",
3219 "silence",
3220 "but",
3221 "dont",
3222 "not",
3223 "no",
3224 "hold",
3225 "wait",
3226 "cut",
3227 "pause",
3228 "nope",
3229 "nah",
3230 "nevermind",
3231 "never",
3232 "bad",
3233 "actually"
3234 ]
3235 },
3236 "monitorPlan": {
3237 "listenEnabled": false,
3238 "listenAuthenticationEnabled": false,
3239 "controlEnabled": false,
3240 "controlAuthenticationEnabled": false,
3241 "monitorIds": [
3242 "123e4567-e89b-12d3-a456-426614174000"
3243 ]
3244 },
3245 "credentialIds": [
3246 "string"
3247 ],
3248 "server": {
3249 "timeoutSeconds": 20,
3250 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3251 "staticIpAddressesEnabled": false,
3252 "encryptedPaths": [
3253 "string"
3254 ],
3255 "url": "string",
3256 "headers": {},
3257 "backoffPlan": {
3258 "type": "fixed",
3259 "maxRetries": 0,
3260 "baseDelaySeconds": 1,
3261 "excludedStatusCodes": [
3262 400,
3263 401,
3264 403,
3265 404
3266 ]
3267 }
3268 },
3269 "keypadInputPlan": {
3270 "enabled": true,
3271 "timeoutSeconds": 1.1,
3272 "delimiters": "#"
3273 }
3274 }
3275 }
3276 ],
3277 "name": "string",
3278 "membersOverrides": {
3279 "transcriber": {
3280 "provider": "assembly-ai",
3281 "language": "multi",
3282 "confidenceThreshold": 0.4,
3283 "formatTurns": true,
3284 "endOfTurnConfidenceThreshold": 0.7,
3285 "minEndOfTurnSilenceWhenConfident": 160,
3286 "wordFinalizationMaxWaitTime": 160,
3287 "maxTurnSilence": 400,
3288 "vadAssistedEndpointingEnabled": true,
3289 "speechModel": "universal-streaming-english",
3290 "realtimeUrl": "string",
3291 "wordBoost": [
3292 "string"
3293 ],
3294 "keytermsPrompt": [
3295 "string"
3296 ],
3297 "endUtteranceSilenceThreshold": 1.1,
3298 "disablePartialTranscripts": true,
3299 "fallbackPlan": {
3300 "transcribers": [
3301 {
3302 "provider": "assembly-ai",
3303 "language": "multi",
3304 "confidenceThreshold": 0.4,
3305 "formatTurns": true,
3306 "endOfTurnConfidenceThreshold": 0.7,
3307 "minEndOfTurnSilenceWhenConfident": 160,
3308 "wordFinalizationMaxWaitTime": 160,
3309 "maxTurnSilence": 400,
3310 "vadAssistedEndpointingEnabled": true,
3311 "speechModel": "universal-streaming-english",
3312 "realtimeUrl": "string",
3313 "wordBoost": [
3314 "string"
3315 ],
3316 "keytermsPrompt": [
3317 "string"
3318 ],
3319 "endUtteranceSilenceThreshold": 1.1,
3320 "disablePartialTranscripts": true
3321 }
3322 ]
3323 }
3324 },
3325 "model": {
3326 "messages": [
3327 {
3328 "content": "string",
3329 "role": "assistant"
3330 }
3331 ],
3332 "tools": [
3333 {
3334 "messages": [
3335 {
3336 "contents": [
3337 {
3338 "type": {},
3339 "text": {},
3340 "language": {}
3341 }
3342 ],
3343 "type": "request-start",
3344 "blocking": false,
3345 "content": "string",
3346 "conditions": [
3347 {
3348 "operator": "eq",
3349 "param": "string",
3350 "value": "string"
3351 }
3352 ]
3353 }
3354 ],
3355 "type": "apiRequest",
3356 "method": "POST",
3357 "timeoutSeconds": 20,
3358 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3359 "encryptedPaths": [
3360 "string"
3361 ],
3362 "parameters": [
3363 {
3364 "key": "string",
3365 "value": {}
3366 }
3367 ],
3368 "name": "string",
3369 "description": "string",
3370 "url": "string",
3371 "body": {
3372 "type": "string",
3373 "items": {},
3374 "properties": {},
3375 "description": "string",
3376 "pattern": "string",
3377 "format": "date-time",
3378 "required": [
3379 "string"
3380 ],
3381 "enum": [
3382 "string"
3383 ],
3384 "title": "string"
3385 },
3386 "headers": {
3387 "type": "string",
3388 "items": {},
3389 "properties": {},
3390 "description": "string",
3391 "pattern": "string",
3392 "format": "date-time",
3393 "required": [
3394 "string"
3395 ],
3396 "enum": [
3397 "string"
3398 ],
3399 "title": "string"
3400 },
3401 "backoffPlan": {
3402 "type": "fixed",
3403 "maxRetries": 0,
3404 "baseDelaySeconds": 1,
3405 "excludedStatusCodes": [
3406 400,
3407 401,
3408 403,
3409 404
3410 ]
3411 },
3412 "variableExtractionPlan": {
3413 "schema": {
3414 "type": {},
3415 "items": {},
3416 "properties": {},
3417 "description": {},
3418 "pattern": {},
3419 "format": {},
3420 "required": {},
3421 "enum": {},
3422 "title": {}
3423 },
3424 "aliases": [
3425 {
3426 "key": "string",
3427 "value": "string"
3428 }
3429 ]
3430 },
3431 "rejectionPlan": {
3432 "conditions": [
3433 {
3434 "type": "regex",
3435 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3436 }
3437 ]
3438 }
3439 }
3440 ],
3441 "toolIds": [
3442 "string"
3443 ],
3444 "knowledgeBase": {
3445 "provider": "custom-knowledge-base",
3446 "server": {
3447 "timeoutSeconds": 20,
3448 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3449 "staticIpAddressesEnabled": false,
3450 "encryptedPaths": [
3451 "string"
3452 ],
3453 "url": "string",
3454 "headers": {},
3455 "backoffPlan": {
3456 "type": "fixed",
3457 "maxRetries": 0,
3458 "baseDelaySeconds": 1,
3459 "excludedStatusCodes": [
3460 400,
3461 401,
3462 403,
3463 404
3464 ]
3465 }
3466 }
3467 },
3468 "model": "claude-3-opus-20240229",
3469 "provider": "anthropic",
3470 "thinking": {
3471 "type": "enabled",
3472 "budgetTokens": 50500
3473 },
3474 "temperature": 1.1,
3475 "maxTokens": 5030,
3476 "emotionRecognitionEnabled": true,
3477 "numFastTurns": 1.1
3478 },
3479 "voice": {
3480 "cachingEnabled": true,
3481 "provider": "azure",
3482 "voiceId": "andrew",
3483 "chunkPlan": {
3484 "enabled": true,
3485 "minCharacters": 30,
3486 "punctuationBoundaries": "。",
3487 "formatPlan": {
3488 "enabled": true,
3489 "numberToDigitsCutoff": 2025,
3490 "replacements": [
3491 {
3492 "type": {},
3493 "replaceAllEnabled": {},
3494 "key": {},
3495 "value": {}
3496 }
3497 ],
3498 "formattersEnabled": "markdown"
3499 }
3500 },
3501 "speed": 1.1,
3502 "fallbackPlan": {
3503 "voices": [
3504 {
3505 "cachingEnabled": true,
3506 "provider": "azure",
3507 "voiceId": "andrew",
3508 "speed": 1.1,
3509 "chunkPlan": {
3510 "enabled": true,
3511 "minCharacters": 30,
3512 "punctuationBoundaries": [
3513 "。",
3514 ",",
3515 ".",
3516 "!",
3517 "?",
3518 ";",
3519 "،",
3520 "۔",
3521 "।",
3522 "॥",
3523 "|",
3524 "||",
3525 ",",
3526 ":"
3527 ],
3528 "formatPlan": {}
3529 },
3530 "oneOf": null
3531 }
3532 ]
3533 }
3534 },
3535 "firstMessage": "Hello! How can I help you today?",
3536 "firstMessageInterruptionsEnabled": false,
3537 "firstMessageMode": "assistant-speaks-first",
3538 "voicemailDetection": "off",
3539 "clientMessages": "conversation-update",
3540 "serverMessages": "assistant.started",
3541 "maxDurationSeconds": 600,
3542 "backgroundSound": "off",
3543 "modelOutputInMessagesEnabled": false,
3544 "transportConfigurations": [
3545 {
3546 "provider": "twilio",
3547 "timeout": 60,
3548 "record": false,
3549 "recordingChannels": "mono"
3550 }
3551 ],
3552 "observabilityPlan": {
3553 "provider": "langfuse",
3554 "tags": [
3555 "string"
3556 ],
3557 "promptName": "string",
3558 "promptVersion": 1.1,
3559 "traceName": "string",
3560 "metadata": {}
3561 },
3562 "credentials": [
3563 {
3564 "provider": "anthropic",
3565 "apiKey": "string",
3566 "name": "string"
3567 }
3568 ],
3569 "hooks": [
3570 {
3571 "on": "call.ending",
3572 "do": [
3573 {
3574 "type": "tool",
3575 "tool": {
3576 "messages": [
3577 {
3578 "contents": {},
3579 "type": {},
3580 "blocking": false,
3581 "content": {},
3582 "conditions": {}
3583 }
3584 ],
3585 "type": "apiRequest",
3586 "method": "POST",
3587 "timeoutSeconds": 20,
3588 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3589 "encryptedPaths": [
3590 "string"
3591 ],
3592 "parameters": [
3593 {
3594 "key": "string",
3595 "value": {}
3596 }
3597 ],
3598 "name": "string",
3599 "description": "string",
3600 "url": "string",
3601 "body": {
3602 "type": {},
3603 "items": {},
3604 "properties": {},
3605 "description": {},
3606 "pattern": {},
3607 "format": {},
3608 "required": {},
3609 "enum": {},
3610 "title": {}
3611 },
3612 "headers": {
3613 "type": {},
3614 "items": {},
3615 "properties": {},
3616 "description": {},
3617 "pattern": {},
3618 "format": {},
3619 "required": {},
3620 "enum": {},
3621 "title": {}
3622 },
3623 "backoffPlan": {
3624 "type": "fixed",
3625 "maxRetries": 0,
3626 "baseDelaySeconds": 1,
3627 "excludedStatusCodes": [
3628 400,
3629 401,
3630 403,
3631 404
3632 ]
3633 },
3634 "variableExtractionPlan": {
3635 "schema": {},
3636 "aliases": {}
3637 },
3638 "rejectionPlan": {
3639 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
3640 }
3641 },
3642 "toolId": "string"
3643 }
3644 ],
3645 "filters": [
3646 {
3647 "type": "oneOf",
3648 "key": "string",
3649 "oneOf": [
3650 "string"
3651 ]
3652 }
3653 ]
3654 }
3655 ],
3656 "tools:append": [
3657 {
3658 "messages": [
3659 {
3660 "contents": [
3661 {
3662 "type": "text",
3663 "text": "string",
3664 "language": "aa"
3665 }
3666 ],
3667 "type": "request-start",
3668 "blocking": false,
3669 "content": "string",
3670 "conditions": [
3671 {
3672 "operator": "eq",
3673 "param": "string",
3674 "value": "string"
3675 }
3676 ]
3677 }
3678 ],
3679 "type": "apiRequest",
3680 "method": "POST",
3681 "timeoutSeconds": 20,
3682 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3683 "encryptedPaths": [
3684 "string"
3685 ],
3686 "parameters": [
3687 {
3688 "key": "string",
3689 "value": {}
3690 }
3691 ],
3692 "name": "string",
3693 "description": "string",
3694 "url": "string",
3695 "body": {
3696 "type": "string",
3697 "items": {},
3698 "properties": {},
3699 "description": "string",
3700 "pattern": "string",
3701 "format": "date-time",
3702 "required": [
3703 "string"
3704 ],
3705 "enum": [
3706 "string"
3707 ],
3708 "title": "string"
3709 },
3710 "headers": {
3711 "type": "string",
3712 "items": {},
3713 "properties": {},
3714 "description": "string",
3715 "pattern": "string",
3716 "format": "date-time",
3717 "required": [
3718 "string"
3719 ],
3720 "enum": [
3721 "string"
3722 ],
3723 "title": "string"
3724 },
3725 "backoffPlan": {
3726 "type": "fixed",
3727 "maxRetries": 0,
3728 "baseDelaySeconds": 1,
3729 "excludedStatusCodes": [
3730 400,
3731 401,
3732 403,
3733 404
3734 ]
3735 },
3736 "variableExtractionPlan": {
3737 "schema": {
3738 "type": "string",
3739 "items": {},
3740 "properties": {},
3741 "description": "string",
3742 "pattern": "string",
3743 "format": "date-time",
3744 "required": [
3745 "string"
3746 ],
3747 "enum": [
3748 "string"
3749 ],
3750 "title": "string"
3751 },
3752 "aliases": [
3753 {
3754 "key": "string",
3755 "value": "string"
3756 }
3757 ]
3758 },
3759 "rejectionPlan": {
3760 "conditions": [
3761 {
3762 "type": "regex",
3763 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3764 }
3765 ]
3766 }
3767 }
3768 ],
3769 "variableValues": {},
3770 "name": "string",
3771 "voicemailMessage": "string",
3772 "endCallMessage": "string",
3773 "endCallPhrases": [
3774 "string"
3775 ],
3776 "compliancePlan": {
3777 "hipaaEnabled": true,
3778 "pciEnabled": {
3779 "pciEnabled": false
3780 },
3781 "securityFilterPlan": {
3782 "enabled": false,
3783 "filters": [
3784 {}
3785 ],
3786 "mode": "sanitize",
3787 "replacementText": "[FILTERED]"
3788 },
3789 "recordingConsentPlan": {
3790 "type": "stay-on-line",
3791 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
3792 "voice": {
3793 "cachingEnabled": true,
3794 "provider": "azure",
3795 "voiceId": "andrew",
3796 "chunkPlan": {
3797 "enabled": true,
3798 "minCharacters": 30,
3799 "punctuationBoundaries": "。",
3800 "formatPlan": {}
3801 },
3802 "speed": 1.1,
3803 "fallbackPlan": {
3804 "voices": [
3805 {}
3806 ]
3807 }
3808 },
3809 "waitSeconds": 3
3810 }
3811 },
3812 "metadata": {},
3813 "backgroundSpeechDenoisingPlan": {
3814 "smartDenoisingPlan": {
3815 "enabled": true
3816 },
3817 "fourierDenoisingPlan": {
3818 "enabled": false,
3819 "mediaDetectionEnabled": true,
3820 "staticThreshold": -35,
3821 "baselineOffsetDb": -15,
3822 "windowSizeMs": 3000,
3823 "baselinePercentile": 85
3824 }
3825 },
3826 "analysisPlan": {
3827 "summaryPlan": {
3828 "messages": [
3829 {}
3830 ],
3831 "enabled": true,
3832 "timeoutSeconds": 1.1
3833 },
3834 "structuredDataPlan": {
3835 "messages": [
3836 {}
3837 ],
3838 "enabled": true,
3839 "schema": {
3840 "type": "string",
3841 "items": {},
3842 "properties": {},
3843 "description": "string",
3844 "pattern": "string",
3845 "format": "date-time",
3846 "required": [
3847 "string"
3848 ],
3849 "enum": [
3850 "string"
3851 ],
3852 "title": "string"
3853 },
3854 "timeoutSeconds": 1.1
3855 },
3856 "successEvaluationPlan": {
3857 "rubric": "NumericScale",
3858 "messages": [
3859 {}
3860 ],
3861 "enabled": true,
3862 "timeoutSeconds": 1.1
3863 },
3864 "minMessagesThreshold": 1.1,
3865 "structuredDataMultiPlan": [
3866 {
3867 "key": "string",
3868 "plan": {
3869 "messages": [
3870 {}
3871 ],
3872 "enabled": true,
3873 "schema": {
3874 "type": "string",
3875 "items": {},
3876 "properties": {},
3877 "description": "string",
3878 "pattern": "string",
3879 "format": "date-time",
3880 "required": [
3881 "string"
3882 ],
3883 "enum": [
3884 "string"
3885 ],
3886 "title": "string"
3887 },
3888 "timeoutSeconds": 1.1
3889 }
3890 }
3891 ],
3892 "outcomeIds": [
3893 "string"
3894 ]
3895 },
3896 "artifactPlan": {
3897 "recordingEnabled": true,
3898 "recordingFormat": "wav;l16",
3899 "recordingUseCustomStorageEnabled": true,
3900 "videoRecordingEnabled": false,
3901 "fullMessageHistoryEnabled": false,
3902 "pcapEnabled": true,
3903 "pcapS3PathPrefix": "/pcaps",
3904 "pcapUseCustomStorageEnabled": true,
3905 "loggingEnabled": true,
3906 "loggingUseCustomStorageEnabled": true,
3907 "transcriptPlan": {
3908 "enabled": true,
3909 "assistantName": "string",
3910 "userName": "string"
3911 },
3912 "recordingPath": "string",
3913 "structuredOutputIds": [
3914 "string"
3915 ],
3916 "structuredOutputs": [
3917 {
3918 "name": "string",
3919 "schema": {
3920 "type": "string",
3921 "items": {},
3922 "properties": {},
3923 "description": "string",
3924 "pattern": "string",
3925 "format": "date-time",
3926 "required": [
3927 "string"
3928 ],
3929 "enum": [
3930 "string"
3931 ],
3932 "title": "string"
3933 },
3934 "type": "ai",
3935 "regex": "string",
3936 "model": {
3937 "provider": "openai",
3938 "model": "gpt-5.4",
3939 "temperature": 1.1,
3940 "maxTokens": 5030
3941 },
3942 "compliancePlan": {
3943 "forceStoreOnHipaaEnabled": false
3944 },
3945 "description": "string",
3946 "assistantIds": [
3947 "string"
3948 ],
3949 "workflowIds": [
3950 "string"
3951 ]
3952 }
3953 ],
3954 "scorecardIds": [
3955 "string"
3956 ],
3957 "scorecards": [
3958 {
3959 "metrics": [
3960 {
3961 "structuredOutputId": "string",
3962 "conditions": [
3963 {}
3964 ]
3965 }
3966 ],
3967 "name": "string",
3968 "description": "string",
3969 "assistantIds": [
3970 "string"
3971 ]
3972 }
3973 ],
3974 "loggingPath": "string"
3975 },
3976 "startSpeakingPlan": {
3977 "waitSeconds": 0.4,
3978 "smartEndpointingPlan": {
3979 "provider": "vapi"
3980 },
3981 "customEndpointingRules": [
3982 {
3983 "type": "assistant",
3984 "regex": "string",
3985 "regexOptions": [
3986 {
3987 "type": "ignore-case",
3988 "enabled": true
3989 }
3990 ],
3991 "timeoutSeconds": 1.1
3992 }
3993 ],
3994 "transcriptionEndpointingPlan": {
3995 "onPunctuationSeconds": 0.1,
3996 "onNoPunctuationSeconds": 1.5,
3997 "onNumberSeconds": 0.5
3998 },
3999 "smartEndpointingEnabled": false
4000 },
4001 "stopSpeakingPlan": {
4002 "numWords": 0,
4003 "voiceSeconds": 0.2,
4004 "backoffSeconds": 1,
4005 "acknowledgementPhrases": [
4006 "i understand",
4007 "i see",
4008 "i got it",
4009 "i hear you",
4010 "im listening",
4011 "im with you",
4012 "right",
4013 "okay",
4014 "ok",
4015 "sure",
4016 "alright",
4017 "got it",
4018 "understood",
4019 "yeah",
4020 "yes",
4021 "uh-huh",
4022 "mm-hmm",
4023 "gotcha",
4024 "mhmm",
4025 "ah",
4026 "yeah okay",
4027 "yeah sure"
4028 ],
4029 "interruptionPhrases": [
4030 "stop",
4031 "shut",
4032 "up",
4033 "enough",
4034 "quiet",
4035 "silence",
4036 "but",
4037 "dont",
4038 "not",
4039 "no",
4040 "hold",
4041 "wait",
4042 "cut",
4043 "pause",
4044 "nope",
4045 "nah",
4046 "nevermind",
4047 "never",
4048 "bad",
4049 "actually"
4050 ]
4051 },
4052 "monitorPlan": {
4053 "listenEnabled": false,
4054 "listenAuthenticationEnabled": false,
4055 "controlEnabled": false,
4056 "controlAuthenticationEnabled": false,
4057 "monitorIds": [
4058 "123e4567-e89b-12d3-a456-426614174000"
4059 ]
4060 },
4061 "credentialIds": [
4062 "string"
4063 ],
4064 "server": {
4065 "timeoutSeconds": 20,
4066 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4067 "staticIpAddressesEnabled": false,
4068 "encryptedPaths": [
4069 "string"
4070 ],
4071 "url": "string",
4072 "headers": {},
4073 "backoffPlan": {
4074 "type": "fixed",
4075 "maxRetries": 0,
4076 "baseDelaySeconds": 1,
4077 "excludedStatusCodes": [
4078 400,
4079 401,
4080 403,
4081 404
4082 ]
4083 }
4084 },
4085 "keypadInputPlan": {
4086 "enabled": true,
4087 "timeoutSeconds": 1.1,
4088 "delimiters": "#"
4089 }
4090 }
4091 },
4092 "squadOverrides": {
4093 "transcriber": {
4094 "provider": "assembly-ai",
4095 "language": "multi",
4096 "confidenceThreshold": 0.4,
4097 "formatTurns": true,
4098 "endOfTurnConfidenceThreshold": 0.7,
4099 "minEndOfTurnSilenceWhenConfident": 160,
4100 "wordFinalizationMaxWaitTime": 160,
4101 "maxTurnSilence": 400,
4102 "vadAssistedEndpointingEnabled": true,
4103 "speechModel": "universal-streaming-english",
4104 "realtimeUrl": "string",
4105 "wordBoost": [
4106 "string"
4107 ],
4108 "keytermsPrompt": [
4109 "string"
4110 ],
4111 "endUtteranceSilenceThreshold": 1.1,
4112 "disablePartialTranscripts": true,
4113 "fallbackPlan": {
4114 "transcribers": [
4115 {
4116 "provider": "assembly-ai",
4117 "language": "multi",
4118 "confidenceThreshold": 0.4,
4119 "formatTurns": true,
4120 "endOfTurnConfidenceThreshold": 0.7,
4121 "minEndOfTurnSilenceWhenConfident": 160,
4122 "wordFinalizationMaxWaitTime": 160,
4123 "maxTurnSilence": 400,
4124 "vadAssistedEndpointingEnabled": true,
4125 "speechModel": "universal-streaming-english",
4126 "realtimeUrl": "string",
4127 "wordBoost": [
4128 "string"
4129 ],
4130 "keytermsPrompt": [
4131 "string"
4132 ],
4133 "endUtteranceSilenceThreshold": 1.1,
4134 "disablePartialTranscripts": true
4135 }
4136 ]
4137 }
4138 },
4139 "model": {
4140 "messages": [
4141 {
4142 "content": "string",
4143 "role": "assistant"
4144 }
4145 ],
4146 "tools": [
4147 {
4148 "messages": [
4149 {
4150 "contents": [
4151 {
4152 "type": "text",
4153 "text": "string",
4154 "language": "aa"
4155 }
4156 ],
4157 "type": "request-start",
4158 "blocking": false,
4159 "content": "string",
4160 "conditions": [
4161 {
4162 "operator": "eq",
4163 "param": "string",
4164 "value": "string"
4165 }
4166 ]
4167 }
4168 ],
4169 "type": "apiRequest",
4170 "method": "POST",
4171 "timeoutSeconds": 20,
4172 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4173 "encryptedPaths": [
4174 "string"
4175 ],
4176 "parameters": [
4177 {
4178 "key": "string",
4179 "value": {}
4180 }
4181 ],
4182 "name": "string",
4183 "description": "string",
4184 "url": "string",
4185 "body": {
4186 "type": "string",
4187 "items": {},
4188 "properties": {},
4189 "description": "string",
4190 "pattern": "string",
4191 "format": "date-time",
4192 "required": [
4193 "string"
4194 ],
4195 "enum": [
4196 "string"
4197 ],
4198 "title": "string"
4199 },
4200 "headers": {
4201 "type": "string",
4202 "items": {},
4203 "properties": {},
4204 "description": "string",
4205 "pattern": "string",
4206 "format": "date-time",
4207 "required": [
4208 "string"
4209 ],
4210 "enum": [
4211 "string"
4212 ],
4213 "title": "string"
4214 },
4215 "backoffPlan": {
4216 "type": "fixed",
4217 "maxRetries": 0,
4218 "baseDelaySeconds": 1,
4219 "excludedStatusCodes": [
4220 400,
4221 401,
4222 403,
4223 404
4224 ]
4225 },
4226 "variableExtractionPlan": {
4227 "schema": {
4228 "type": "string",
4229 "items": {},
4230 "properties": {},
4231 "description": "string",
4232 "pattern": "string",
4233 "format": "date-time",
4234 "required": [
4235 "string"
4236 ],
4237 "enum": [
4238 "string"
4239 ],
4240 "title": "string"
4241 },
4242 "aliases": [
4243 {
4244 "key": "string",
4245 "value": "string"
4246 }
4247 ]
4248 },
4249 "rejectionPlan": {
4250 "conditions": [
4251 {
4252 "type": "regex",
4253 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4254 }
4255 ]
4256 }
4257 }
4258 ],
4259 "toolIds": [
4260 "string"
4261 ],
4262 "knowledgeBase": {
4263 "provider": "custom-knowledge-base",
4264 "server": {
4265 "timeoutSeconds": 20,
4266 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4267 "staticIpAddressesEnabled": false,
4268 "encryptedPaths": [
4269 "string"
4270 ],
4271 "url": "string",
4272 "headers": {},
4273 "backoffPlan": {
4274 "type": "fixed",
4275 "maxRetries": 0,
4276 "baseDelaySeconds": 1,
4277 "excludedStatusCodes": [
4278 400,
4279 401,
4280 403,
4281 404
4282 ]
4283 }
4284 }
4285 },
4286 "model": "claude-3-opus-20240229",
4287 "provider": "anthropic",
4288 "thinking": {
4289 "type": "enabled",
4290 "budgetTokens": 50500
4291 },
4292 "temperature": 1.1,
4293 "maxTokens": 5030,
4294 "emotionRecognitionEnabled": true,
4295 "numFastTurns": 1.1
4296 },
4297 "voice": {
4298 "cachingEnabled": true,
4299 "provider": "azure",
4300 "voiceId": "andrew",
4301 "chunkPlan": {
4302 "enabled": true,
4303 "minCharacters": 30,
4304 "punctuationBoundaries": "。",
4305 "formatPlan": {
4306 "enabled": true,
4307 "numberToDigitsCutoff": 2025,
4308 "replacements": [
4309 {
4310 "type": "exact",
4311 "replaceAllEnabled": false,
4312 "key": "string",
4313 "value": "string"
4314 }
4315 ],
4316 "formattersEnabled": "markdown"
4317 }
4318 },
4319 "speed": 1.1,
4320 "fallbackPlan": {
4321 "voices": [
4322 {
4323 "cachingEnabled": true,
4324 "provider": "azure",
4325 "voiceId": "andrew",
4326 "speed": 1.1,
4327 "chunkPlan": {
4328 "enabled": true,
4329 "minCharacters": 30,
4330 "punctuationBoundaries": "。",
4331 "formatPlan": {
4332 "enabled": true,
4333 "numberToDigitsCutoff": 2025,
4334 "replacements": {},
4335 "formattersEnabled": {}
4336 }
4337 },
4338 "oneOf": null
4339 }
4340 ]
4341 }
4342 },
4343 "firstMessage": "Hello! How can I help you today?",
4344 "firstMessageInterruptionsEnabled": false,
4345 "firstMessageMode": "assistant-speaks-first",
4346 "voicemailDetection": "off",
4347 "clientMessages": "conversation-update",
4348 "serverMessages": "assistant.started",
4349 "maxDurationSeconds": 600,
4350 "backgroundSound": "off",
4351 "modelOutputInMessagesEnabled": false,
4352 "transportConfigurations": [
4353 {
4354 "provider": "twilio",
4355 "timeout": 60,
4356 "record": false,
4357 "recordingChannels": "mono"
4358 }
4359 ],
4360 "observabilityPlan": {
4361 "provider": "langfuse",
4362 "tags": [
4363 "string"
4364 ],
4365 "promptName": "string",
4366 "promptVersion": 1.1,
4367 "traceName": "string",
4368 "metadata": {}
4369 },
4370 "credentials": [
4371 {
4372 "provider": "anthropic",
4373 "apiKey": "string",
4374 "name": "string"
4375 }
4376 ],
4377 "hooks": [
4378 {
4379 "on": "call.ending",
4380 "do": [
4381 {
4382 "type": "tool",
4383 "tool": {
4384 "messages": [
4385 {
4386 "contents": [
4387 {
4388 "type": {},
4389 "text": {},
4390 "language": {}
4391 }
4392 ],
4393 "type": "request-start",
4394 "blocking": false,
4395 "content": "string",
4396 "conditions": [
4397 {
4398 "operator": "eq",
4399 "param": "string",
4400 "value": "string"
4401 }
4402 ]
4403 }
4404 ],
4405 "type": "apiRequest",
4406 "method": "POST",
4407 "timeoutSeconds": 20,
4408 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4409 "encryptedPaths": [
4410 "string"
4411 ],
4412 "parameters": [
4413 {
4414 "key": "string",
4415 "value": {}
4416 }
4417 ],
4418 "name": "string",
4419 "description": "string",
4420 "url": "string",
4421 "body": {
4422 "type": "string",
4423 "items": {},
4424 "properties": {},
4425 "description": "string",
4426 "pattern": "string",
4427 "format": "date-time",
4428 "required": [
4429 "string"
4430 ],
4431 "enum": [
4432 "string"
4433 ],
4434 "title": "string"
4435 },
4436 "headers": {
4437 "type": "string",
4438 "items": {},
4439 "properties": {},
4440 "description": "string",
4441 "pattern": "string",
4442 "format": "date-time",
4443 "required": [
4444 "string"
4445 ],
4446 "enum": [
4447 "string"
4448 ],
4449 "title": "string"
4450 },
4451 "backoffPlan": {
4452 "type": "fixed",
4453 "maxRetries": 0,
4454 "baseDelaySeconds": 1,
4455 "excludedStatusCodes": [
4456 400,
4457 401,
4458 403,
4459 404
4460 ]
4461 },
4462 "variableExtractionPlan": {
4463 "schema": {
4464 "type": {},
4465 "items": {},
4466 "properties": {},
4467 "description": {},
4468 "pattern": {},
4469 "format": {},
4470 "required": {},
4471 "enum": {},
4472 "title": {}
4473 },
4474 "aliases": [
4475 {
4476 "key": "string",
4477 "value": "string"
4478 }
4479 ]
4480 },
4481 "rejectionPlan": {
4482 "conditions": [
4483 {
4484 "type": "regex",
4485 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4486 }
4487 ]
4488 }
4489 },
4490 "toolId": "string"
4491 }
4492 ],
4493 "filters": [
4494 {
4495 "type": "oneOf",
4496 "key": "string",
4497 "oneOf": [
4498 "string"
4499 ]
4500 }
4501 ]
4502 }
4503 ],
4504 "tools:append": [
4505 {
4506 "messages": [
4507 {
4508 "contents": [
4509 {
4510 "type": "text",
4511 "text": "string",
4512 "language": "aa"
4513 }
4514 ],
4515 "type": "request-start",
4516 "blocking": false,
4517 "content": "string",
4518 "conditions": [
4519 {
4520 "operator": "eq",
4521 "param": "string",
4522 "value": "string"
4523 }
4524 ]
4525 }
4526 ],
4527 "type": "apiRequest",
4528 "method": "POST",
4529 "timeoutSeconds": 20,
4530 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4531 "encryptedPaths": [
4532 "string"
4533 ],
4534 "parameters": [
4535 {
4536 "key": "string",
4537 "value": {}
4538 }
4539 ],
4540 "name": "string",
4541 "description": "string",
4542 "url": "string",
4543 "body": {
4544 "type": "string",
4545 "items": {},
4546 "properties": {},
4547 "description": "string",
4548 "pattern": "string",
4549 "format": "date-time",
4550 "required": [
4551 "string"
4552 ],
4553 "enum": [
4554 "string"
4555 ],
4556 "title": "string"
4557 },
4558 "headers": {
4559 "type": "string",
4560 "items": {},
4561 "properties": {},
4562 "description": "string",
4563 "pattern": "string",
4564 "format": "date-time",
4565 "required": [
4566 "string"
4567 ],
4568 "enum": [
4569 "string"
4570 ],
4571 "title": "string"
4572 },
4573 "backoffPlan": {
4574 "type": "fixed",
4575 "maxRetries": 0,
4576 "baseDelaySeconds": 1,
4577 "excludedStatusCodes": [
4578 400,
4579 401,
4580 403,
4581 404
4582 ]
4583 },
4584 "variableExtractionPlan": {
4585 "schema": {
4586 "type": "string",
4587 "items": {},
4588 "properties": {},
4589 "description": "string",
4590 "pattern": "string",
4591 "format": "date-time",
4592 "required": [
4593 "string"
4594 ],
4595 "enum": [
4596 "string"
4597 ],
4598 "title": "string"
4599 },
4600 "aliases": [
4601 {
4602 "key": "string",
4603 "value": "string"
4604 }
4605 ]
4606 },
4607 "rejectionPlan": {
4608 "conditions": [
4609 {
4610 "type": "regex",
4611 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4612 }
4613 ]
4614 }
4615 }
4616 ],
4617 "variableValues": {},
4618 "name": "string",
4619 "voicemailMessage": "string",
4620 "endCallMessage": "string",
4621 "endCallPhrases": [
4622 "string"
4623 ],
4624 "compliancePlan": {
4625 "hipaaEnabled": true,
4626 "pciEnabled": {
4627 "pciEnabled": false
4628 },
4629 "securityFilterPlan": {
4630 "enabled": false,
4631 "filters": [
4632 {}
4633 ],
4634 "mode": "sanitize",
4635 "replacementText": "[FILTERED]"
4636 },
4637 "recordingConsentPlan": {
4638 "type": "stay-on-line",
4639 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
4640 "voice": {
4641 "cachingEnabled": true,
4642 "provider": "azure",
4643 "voiceId": "andrew",
4644 "chunkPlan": {
4645 "enabled": true,
4646 "minCharacters": 30,
4647 "punctuationBoundaries": "。",
4648 "formatPlan": {
4649 "enabled": true,
4650 "numberToDigitsCutoff": 2025,
4651 "replacements": [
4652 {}
4653 ],
4654 "formattersEnabled": "markdown"
4655 }
4656 },
4657 "speed": 1.1,
4658 "fallbackPlan": {
4659 "voices": [
4660 {
4661 "cachingEnabled": true,
4662 "provider": "azure",
4663 "voiceId": "andrew",
4664 "speed": 1.1,
4665 "chunkPlan": {},
4666 "oneOf": null
4667 }
4668 ]
4669 }
4670 },
4671 "waitSeconds": 3
4672 }
4673 },
4674 "metadata": {},
4675 "backgroundSpeechDenoisingPlan": {
4676 "smartDenoisingPlan": {
4677 "enabled": true
4678 },
4679 "fourierDenoisingPlan": {
4680 "enabled": false,
4681 "mediaDetectionEnabled": true,
4682 "staticThreshold": -35,
4683 "baselineOffsetDb": -15,
4684 "windowSizeMs": 3000,
4685 "baselinePercentile": 85
4686 }
4687 },
4688 "analysisPlan": {
4689 "summaryPlan": {
4690 "messages": [
4691 {}
4692 ],
4693 "enabled": true,
4694 "timeoutSeconds": 1.1
4695 },
4696 "structuredDataPlan": {
4697 "messages": [
4698 {}
4699 ],
4700 "enabled": true,
4701 "schema": {
4702 "type": "string",
4703 "items": {},
4704 "properties": {},
4705 "description": "string",
4706 "pattern": "string",
4707 "format": "date-time",
4708 "required": [
4709 "string"
4710 ],
4711 "enum": [
4712 "string"
4713 ],
4714 "title": "string"
4715 },
4716 "timeoutSeconds": 1.1
4717 },
4718 "successEvaluationPlan": {
4719 "rubric": "NumericScale",
4720 "messages": [
4721 {}
4722 ],
4723 "enabled": true,
4724 "timeoutSeconds": 1.1
4725 },
4726 "minMessagesThreshold": 1.1,
4727 "structuredDataMultiPlan": [
4728 {
4729 "key": "string",
4730 "plan": {
4731 "messages": [
4732 {}
4733 ],
4734 "enabled": true,
4735 "schema": {
4736 "type": "string",
4737 "items": {},
4738 "properties": {},
4739 "description": "string",
4740 "pattern": "string",
4741 "format": "date-time",
4742 "required": [
4743 "string"
4744 ],
4745 "enum": [
4746 "string"
4747 ],
4748 "title": "string"
4749 },
4750 "timeoutSeconds": 1.1
4751 }
4752 }
4753 ],
4754 "outcomeIds": [
4755 "string"
4756 ]
4757 },
4758 "artifactPlan": {
4759 "recordingEnabled": true,
4760 "recordingFormat": "wav;l16",
4761 "recordingUseCustomStorageEnabled": true,
4762 "videoRecordingEnabled": false,
4763 "fullMessageHistoryEnabled": false,
4764 "pcapEnabled": true,
4765 "pcapS3PathPrefix": "/pcaps",
4766 "pcapUseCustomStorageEnabled": true,
4767 "loggingEnabled": true,
4768 "loggingUseCustomStorageEnabled": true,
4769 "transcriptPlan": {
4770 "enabled": true,
4771 "assistantName": "string",
4772 "userName": "string"
4773 },
4774 "recordingPath": "string",
4775 "structuredOutputIds": [
4776 "string"
4777 ],
4778 "structuredOutputs": [
4779 {
4780 "name": "string",
4781 "schema": {
4782 "type": "string",
4783 "items": {},
4784 "properties": {},
4785 "description": "string",
4786 "pattern": "string",
4787 "format": "date-time",
4788 "required": [
4789 "string"
4790 ],
4791 "enum": [
4792 "string"
4793 ],
4794 "title": "string"
4795 },
4796 "type": "ai",
4797 "regex": "string",
4798 "model": {
4799 "provider": "openai",
4800 "model": "gpt-5.4",
4801 "temperature": 1.1,
4802 "maxTokens": 5030
4803 },
4804 "compliancePlan": {
4805 "forceStoreOnHipaaEnabled": false
4806 },
4807 "description": "string",
4808 "assistantIds": [
4809 "string"
4810 ],
4811 "workflowIds": [
4812 "string"
4813 ]
4814 }
4815 ],
4816 "scorecardIds": [
4817 "string"
4818 ],
4819 "scorecards": [
4820 {
4821 "metrics": [
4822 {
4823 "structuredOutputId": "string",
4824 "conditions": [
4825 {}
4826 ]
4827 }
4828 ],
4829 "name": "string",
4830 "description": "string",
4831 "assistantIds": [
4832 "string"
4833 ]
4834 }
4835 ],
4836 "loggingPath": "string"
4837 },
4838 "startSpeakingPlan": {
4839 "waitSeconds": 0.4,
4840 "smartEndpointingPlan": {
4841 "provider": "vapi"
4842 },
4843 "customEndpointingRules": [
4844 {
4845 "type": "assistant",
4846 "regex": "string",
4847 "regexOptions": [
4848 {
4849 "type": "ignore-case",
4850 "enabled": true
4851 }
4852 ],
4853 "timeoutSeconds": 1.1
4854 }
4855 ],
4856 "transcriptionEndpointingPlan": {
4857 "onPunctuationSeconds": 0.1,
4858 "onNoPunctuationSeconds": 1.5,
4859 "onNumberSeconds": 0.5
4860 },
4861 "smartEndpointingEnabled": false
4862 },
4863 "stopSpeakingPlan": {
4864 "numWords": 0,
4865 "voiceSeconds": 0.2,
4866 "backoffSeconds": 1,
4867 "acknowledgementPhrases": [
4868 "i understand",
4869 "i see",
4870 "i got it",
4871 "i hear you",
4872 "im listening",
4873 "im with you",
4874 "right",
4875 "okay",
4876 "ok",
4877 "sure",
4878 "alright",
4879 "got it",
4880 "understood",
4881 "yeah",
4882 "yes",
4883 "uh-huh",
4884 "mm-hmm",
4885 "gotcha",
4886 "mhmm",
4887 "ah",
4888 "yeah okay",
4889 "yeah sure"
4890 ],
4891 "interruptionPhrases": [
4892 "stop",
4893 "shut",
4894 "up",
4895 "enough",
4896 "quiet",
4897 "silence",
4898 "but",
4899 "dont",
4900 "not",
4901 "no",
4902 "hold",
4903 "wait",
4904 "cut",
4905 "pause",
4906 "nope",
4907 "nah",
4908 "nevermind",
4909 "never",
4910 "bad",
4911 "actually"
4912 ]
4913 },
4914 "monitorPlan": {
4915 "listenEnabled": false,
4916 "listenAuthenticationEnabled": false,
4917 "controlEnabled": false,
4918 "controlAuthenticationEnabled": false,
4919 "monitorIds": [
4920 "123e4567-e89b-12d3-a456-426614174000"
4921 ]
4922 },
4923 "credentialIds": [
4924 "string"
4925 ],
4926 "server": {
4927 "timeoutSeconds": 20,
4928 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4929 "staticIpAddressesEnabled": false,
4930 "encryptedPaths": [
4931 "string"
4932 ],
4933 "url": "string",
4934 "headers": {},
4935 "backoffPlan": {
4936 "type": "fixed",
4937 "maxRetries": 0,
4938 "baseDelaySeconds": 1,
4939 "excludedStatusCodes": [
4940 400,
4941 401,
4942 403,
4943 404
4944 ]
4945 }
4946 },
4947 "keypadInputPlan": {
4948 "enabled": true,
4949 "timeoutSeconds": 1.1,
4950 "delimiters": "#"
4951 }
4952 },
4953 "workflowId": "string",
4954 "workflow": {
4955 "nodes": [
4956 {
[...]
